/**
 */
package net.astah.stpa.stamp.provider;


import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ViewerNotification;

import net.astah.emf.common.notify.EFeaturePath;
import net.astah.project.Facets;
import net.astah.stpa.stamp.Countermeasure;
import net.astah.stpa.stamp.STAMPPackage;
import net.astah.stpa.stamp.STAMPPlugin;
import net.astah.stpa.stamp.edit.Messages;
import net.astah.stpa.stamp.notation.STAMPNotationPackage;

/**
 * This is the item provider adapter for a {@link net.astah.stpa.stamp.Countermeasure} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class CountermeasureItemProvider extends IdentifiedElementItemProvider {
    /**
     * This constructs an instance from a factory and a notifier.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public CountermeasureItemProvider(AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    /**
     * This returns the property descriptors for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object) {
        if (itemPropertyDescriptors == null) {
            super.getPropertyDescriptors(object);

            addTargetComponentPropertyDescriptor(object);
            addHazardCausalFactorPropertyDescriptor(object);
            addRemarksPropertyDescriptor(object);
        }
        return itemPropertyDescriptors;
    }

    /**
     * This adds a property descriptor for the Target Component feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addTargetComponentPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_Countermeasure_targetComponent_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_Countermeasure_targetComponent_feature", "_UI_Countermeasure_type"),
                 STAMPPackage.Literals.COUNTERMEASURE__TARGET_COMPONENT,
                 true,
                 false,
                 true,
                 null,
                 null,
                 null));
    }

    /**
     * This adds a property descriptor for the Hazard Causal Factor feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addHazardCausalFactorPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_Countermeasure_hazardCausalFactor_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_Countermeasure_hazardCausalFactor_feature", "_UI_Countermeasure_type"),
                 STAMPPackage.Literals.COUNTERMEASURE__HAZARD_CAUSAL_FACTOR,
                 true,
                 false,
                 true,
                 null,
                 null,
                 null));
    }

    /**
     * This adds a property descriptor for the Remarks feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addRemarksPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_Countermeasure_remarks_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_Countermeasure_remarks_feature", "_UI_Countermeasure_type"),
                 STAMPPackage.Literals.COUNTERMEASURE__REMARKS,
                 true,
                 true,
                 false,
                 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
                 null,
                 null));
    }

    /**
     * This returns Countermeasure.gif.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Object getImage(Object object) {
        return overlayImage(object, getResourceLocator().getImage("full/obj16/Countermeasure"));
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected boolean shouldComposeCreationImage() {
        return true;
    }

    /**
     * This returns the label text for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public String getText(Object object) {
        String label = ((Countermeasure)object).getId();
        return label == null || label.length() == 0 ?
            getString("_UI_Countermeasure_type") :
            getString("_UI_Countermeasure_type") + " " + label;
    }
    

    /**
     * This handles model notifications by calling {@link #updateChildren} to update any cached
     * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public void notifyChanged(Notification notification) {
        updateChildren(notification);

        switch (notification.getFeatureID(Countermeasure.class)) {
            case STAMPPackage.COUNTERMEASURE__TARGET_COMPONENT:
            case STAMPPackage.COUNTERMEASURE__REMARKS:
                fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
                return;
        }
        super.notifyChanged(notification);
    }

    /**
     * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
     * that can be created under this object.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object) {
        super.collectNewChildDescriptors(newChildDescriptors, object);
    }

    /**
     * @generated NOT
     */
    @Override
    public Object generateInitialValue(Object owner, Object feature) {
        if (feature == STAMPPackage.Literals.IDENTIFIED_ELEMENT__ID) {
            String prefix = "M";
            return Facets.generateName((EObject) owner, STAMPPlugin.FACET_SYMBOLIC_NAME, prefix,
                    STAMPPackage.Literals.IDENTIFIED_ELEMENT__ID);
        } else if (feature == STAMPPackage.Literals.IDENTIFIED_ELEMENT__DESCRIPTION) {
            return Messages.CountermeasureItemProvider_default_description_label;
        }
        return super.generateInitialValue(owner, feature);
    }

    /**
     * @generated NOT
     */
    @Override
    public Collection<?> getIntentionDomains(final Object object) {
        return EFeaturePath.builder().add(STAMPPackage.Literals.COUNTERMEASURE__OWNER)
                .addInverse(STAMPNotationPackage.Literals.COUNTERMEASURE_TABLE__SCOPE).create()
                .getReferences((Countermeasure) object);
    }

}
