package net.astah.stpa.stamp.provider;

import static net.astah.stpa.stamp.STAMPPackage.Literals.COMPONENT;
import static net.astah.stpa.stamp.STAMPPackage.Literals.LINK;

import java.util.Comparator;

import org.eclipse.emf.ecore.EClass;

import net.astah.stpa.stamp.Element;

class STAMPTreeComparator implements Comparator<Object> {

    public static STAMPTreeComparator INSTANCE = new STAMPTreeComparator();

    @Override
    public int compare(final Object o1, final Object o2) {
        if ((o1 != o2) && o1 instanceof Element && o2 instanceof Element) {
            return modelType((Element) o1) - modelType((Element) o2);
        }
        return 0;
    }

    private static int modelType(final Element element) {
        final EClass eClass = element.eClass();
        if (COMPONENT.equals(eClass)) {
            return 0;
        } else if (LINK.equals(eClass)) {
            return 1;
        }
        return 2;
    }
}