/**
 */
package net.astah.stpa.stamp.notation.provider;


import java.util.Collection;
import java.util.List;
import java.util.Set;

import org.eclipse.emf.common.command.Command;
import org.eclipse.emf.common.command.IdentityCommand;
import org.eclipse.emf.common.command.UnexecutableCommand;
import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.edit.command.AddCommand;
import org.eclipse.emf.edit.domain.EditingDomain;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ViewerNotification;
import org.eclipse.uml2.common.edit.command.SubsetAddCommand;
import org.eclipse.uml2.common.edit.command.SubsetSupersetReplaceCommand;
import org.eclipse.uml2.common.edit.command.SubsetSupersetSetCommand;
import org.eclipse.uml2.common.edit.command.SupersetRemoveCommand;

import com.google.common.collect.Iterables;

import net.astah.dd.di.Diagram;
import net.astah.dd.di.DiagramElement;
import net.astah.dd.di.edit.command.DiagramContext;
import net.astah.emf.common.notify.EFeaturePath;
import net.astah.notation.NotationPackage;
import net.astah.notation.edit.layout.AlignKind;
import net.astah.notation.edit.layout.FlowLayout;
import net.astah.notation.edit.layout.FreeLayout;
import net.astah.notation.edit.layout.Layout;
import net.astah.notation.edit.layout.OwnedElementsDelegatedLayout;
import net.astah.notation.edit.layout.TextAreaLayout;
import net.astah.stpa.stamp.Component;
import net.astah.stpa.stamp.ControlStructure;
import net.astah.stpa.stamp.STAMPPackage;
import net.astah.stpa.stamp.notation.STAMPCompartmentableShape;
import net.astah.stpa.stamp.notation.STAMPNotationFactory;
import net.astah.stpa.stamp.notation.STAMPNotationPackage;
import net.astah.stpa.stamp.notation.edit.layout.LayoutUtil;

/**
 * This is the item provider adapter for a {@link net.astah.stpa.stamp.notation.STAMPCompartmentableShape} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class STAMPCompartmentableShapeItemProvider extends STAMPShapeItemProvider {
    public static final FlowLayout LAYOUT = new FlowLayout.Builder()
            .minWidth(50)
            .minHeight(46)
            .add(new FreeLayout.Builder(LayoutUtil.FREE)
                    .margin(10))
            .add(new TextAreaLayout.Builder(LayoutUtil.TEXT_AREA)
                    .margin(10)
                    .minWidth(30)
                    .textAlign(AlignKind.LEFT)
                    .lineWrappable(true)
                    .path(EFeaturePath.build(STAMPNotationPackage.Literals.STAMP_LABEL__TEXT)))
            .add(new OwnedElementsDelegatedLayout.Builder(LayoutUtil.COMPARTMENT))
            .build();

    /**
     * This constructs an instance from a factory and a notifier.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPCompartmentableShapeItemProvider(AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    /**
     * This returns the property descriptors for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object) {
        if (itemPropertyDescriptors == null) {
            super.getPropertyDescriptors(object);

            addCompartmentPropertyDescriptor(object);
        }
        return itemPropertyDescriptors;
    }

    /**
     * This adds a property descriptor for the Compartment feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addCompartmentPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_STAMPCompartmentableShape_compartment_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_STAMPCompartmentableShape_compartment_feature", "_UI_STAMPCompartmentableShape_type"),
                 STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT,
                 true,
                 false,
                 true,
                 null,
                 null,
                 null));
    }

    /**
     * This returns STAMPCompartmentableShape.gif.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Object getImage(Object object) {
        return overlayImage(object, getResourceLocator().getImage("full/obj16/STAMPCompartmentableShape"));
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected boolean shouldComposeCreationImage() {
        return true;
    }

    /**
     * This returns the label text for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public String getText(Object object) {
        STAMPCompartmentableShape stampCompartmentableShape = (STAMPCompartmentableShape)object;
        return getString("_UI_STAMPCompartmentableShape_type") + " " + stampCompartmentableShape.isVisible();
    }
    

    /**
     * This handles model notifications by calling {@link #updateChildren} to update any cached
     * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public void notifyChanged(Notification notification) {
        updateChildren(notification);

        switch (notification.getFeatureID(STAMPCompartmentableShape.class)) {
            case STAMPNotationPackage.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT:
                fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
                return;
        }
        super.notifyChanged(notification);
    }

    /**
     * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
     * that can be created under this object.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object) {
        super.collectNewChildDescriptors(newChildDescriptors, object);

        newChildDescriptors.add
            (createChildParameter
                (STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT,
                 STAMPNotationFactory.eINSTANCE.createSTAMPCompartment()));
    }

    /**
     * This returns the label text for {@link org.eclipse.emf.edit.command.CreateChildCommand}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public String getCreateChildText(Object owner, Object feature, Object child, Collection<?> selection) {
        Object childFeature = feature;
        Object childObject = child;

        boolean qualify =
            childFeature == STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT ||
            childFeature == STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT;

        if (qualify) {
            return getString
                ("_UI_CreateChild_text2",
                 new Object[] { getTypeText(childObject), getFeatureText(childFeature), getTypeText(owner) });
        }
        return super.getCreateChildText(owner, feature, child, selection);
    }

    /**
     * @see org.eclipse.emf.edit.provider.ItemProviderAdapter#createAddCommand(org.eclipse.emf.edit.domain.EditingDomain, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature, java.util.Collection, int)
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected Command createAddCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection, int index) {
        if (feature == STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT) {
            return new SubsetAddCommand(domain, owner, feature, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT}, collection, index);
        }
        return super.createAddCommand(domain, owner, feature, collection, index);
    }

    /**
     * @see org.eclipse.emf.edit.provider.ItemProviderAdapter#createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature, java.util.Collection)
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected Command createRemoveCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Collection<?> collection) {
        if (feature == STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT) {
            return new SupersetRemoveCommand(domain, owner, feature, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT}, collection);
        }
        return super.createRemoveCommand(domain, owner, feature, collection);
    }

    /**
     * @see org.eclipse.emf.edit.provider.ItemProviderAdapter#createReplaceCommand(org.eclipse.emf.edit.domain.EditingDomain, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object, java.util.Collection)
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected Command createReplaceCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Object value, Collection<?> collection) {
        if (feature == STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT) {
            return new SubsetSupersetReplaceCommand(domain, owner, feature, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT}, null, value, collection);
        }
        if (feature == STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT) {
            return new SubsetSupersetReplaceCommand(domain, owner, feature, null, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT}, value, collection);
        }
        return super.createReplaceCommand(domain, owner, feature, value, collection);
    }

    /**
     * @see org.eclipse.emf.edit.provider.ItemProviderAdapter#createSetCommand(org.eclipse.emf.edit.domain.EditingDomain, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected Command createSetCommand(EditingDomain domain, EObject owner, EStructuralFeature feature, Object value) {
        if (feature == STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT) {
            return new SubsetSupersetSetCommand(domain, owner, feature, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT}, null, value);
        }
        if (feature == STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT) {
            return new SubsetSupersetSetCommand(domain, owner, feature, null, new EStructuralFeature[] {STAMPNotationPackage.Literals.STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT}, value);
        }
        return super.createSetCommand(domain, owner, feature, value);
    }

    @Override
    public void collectDependents(EditingDomain domain,
            Object object,
            Collection<Object> collection) {
        collection.addAll(((STAMPCompartmentableShape) object).getOwnedElements());
        super.collectDependents(domain, object, collection);
    }

    @Override
    protected boolean adjustCopySelection(EditingDomain domain, Object owner,
            Set<Object> selection) {
        final STAMPCompartmentableShape presentation = (STAMPCompartmentableShape) owner;

        boolean changed = false;
        for (STAMPCompartmentableShape child : Iterables.filter(presentation.getOwnedElements(),
                STAMPCompartmentableShape.class)) {
            adjustCopySelection(domain, child, selection);
            changed |= selection.remove(child);
        }

        return super.adjustCopySelection(domain, owner, selection) || changed;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated NOT
     */
    @Override
    protected Command createMoveLocationCommand(EditingDomain domain,
            Object context,
            EObject owner,
            Object feature,
            Object value) {
        if ((feature == null) || (feature == NotationPackage.Literals.SHAPE__LOCATION)) {
            return createLocationMoveLocationCommand(domain, context, owner, value);
        }
        return UnexecutableCommand.INSTANCE;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated NOT
     */
    protected Command createLocationMoveLocationCommand(EditingDomain domain, Object context,
            EObject owner, Object value) {
        final STAMPCompartmentableShape shape = (STAMPCompartmentableShape) owner;
        final DiagramElement newOwningElement = DiagramContext.getLocationElement(context);
        if (newOwningElement != null && !(newOwningElement instanceof STAMPCompartmentableShape)
                && !(newOwningElement instanceof Diagram)) {
            return UnexecutableCommand.INSTANCE;
        }
        Command cmd = super.createLocationMoveLocationCommand(domain, context, owner, value);
        if (newOwningElement != null && newOwningElement != shape.getOwningElement()) {
            cmd = cmd.chain(createChangeOwningModelCommand(domain, shape, newOwningElement));
        }
        return cmd;
    }

    private Command createChangeOwningModelCommand(final EditingDomain domain,
            final DiagramElement ownedElement, final DiagramElement owningElement) {
        for (final EObject ownedModel : ownedElement.getModelElements()) {
            if (ownedModel instanceof Component) {
                for (final EObject owningModel : owningElement.getModelElements()) {
                    // 本来は構造ツリー上のDnDでComponentの親子関係を変更した時に図要素の親子関係を更新するべき
                    if (ownedModel.eContainer() == owningModel) {
                        return AddCommand.create(domain, owningElement,
                                STAMPNotationPackage.Literals.STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT,
                                ownedElement);
                    } else if (owningModel instanceof Component) {
                        return AddCommand.create(domain, owningModel,
                                STAMPPackage.Literals.COMPONENT__NESTED_COMPONENT, ownedModel);
                    } else if (owningModel instanceof ControlStructure) {
                        return AddCommand.create(domain, owningModel,
                                STAMPPackage.Literals.CONTROL_STRUCTURE__COMPONENT, ownedModel);
                    }
                }
            }
        }
        return IdentityCommand.INSTANCE;
    }

    @Override
    public Layout getLayout(Object object) {
        return LAYOUT;
    }

}
