/**
 */
package net.astah.stpa.stamp.notation.provider;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemColorProvider;
import org.eclipse.emf.edit.provider.IItemFontProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import net.astah.dd.di.edit.provider.IItemGeometryProvider;
import net.astah.dd.di.edit.provider.IItemGraphicalStyleProvider;
import net.astah.emf.edit.provider.IItemChangeProcessorProvider;
import net.astah.emf.edit.provider.IItemComparatorProvider;
import net.astah.emf.edit.provider.IItemDependencyProvider;
import net.astah.emf.edit.provider.IItemDiagramProvider;
import net.astah.emf.edit.provider.IItemMatchProvider;
import net.astah.emf.edit.provider.IItemModifyLabelProvider;
import net.astah.emf.edit.provider.IItemTypeLabelProvider;
import net.astah.emf.edit.provider.IItemVariantLabelProvider;
import net.astah.notation.edit.provider.IItemLayoutProvider;
import net.astah.stpa.stamp.notation.util.STAMPNotationAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class STAMPNotationItemProviderAdapterFactory extends STAMPNotationAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable {
    /**
     * This keeps track of the root adapter factory that delegates to this adapter factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected ComposedAdapterFactory parentAdapterFactory;

    /**
     * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected IChangeNotifier changeNotifier = new ChangeNotifier();

    /**
     * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected Collection<Object> supportedTypes = new ArrayList<Object>();

    /**
     * This constructs an instance.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated NOT
     */
    public STAMPNotationItemProviderAdapterFactory() {
        supportedTypes.add(IEditingDomainItemProvider.class);
        supportedTypes.add(IStructuredItemContentProvider.class);
        supportedTypes.add(ITreeItemContentProvider.class);
        supportedTypes.add(IItemLabelProvider.class);
        supportedTypes.add(IItemPropertySource.class);
        supportedTypes.add(IItemColorProvider.class);
        supportedTypes.add(IItemFontProvider.class);
        supportedTypes.add(IItemColorProvider.class);
        supportedTypes.add(IItemPropertySource.class);
        supportedTypes.add(IItemGeometryProvider.class);
        supportedTypes.add(IItemChangeProcessorProvider.class);
        supportedTypes.add(IItemTypeLabelProvider.class);
        supportedTypes.add(IItemVariantLabelProvider.class);
        supportedTypes.add(IItemComparatorProvider.class);
        supportedTypes.add(IItemDependencyProvider.class);
        supportedTypes.add(IItemDiagramProvider.class);
        supportedTypes.add(IItemMatchProvider.class);
        supportedTypes.add(IItemModifyLabelProvider.class);
        supportedTypes.add(IItemGraphicalStyleProvider.class);
        supportedTypes.add(IItemLayoutProvider.class);
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPEdge} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPEdgeItemProvider stampEdgeItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPEdge}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPEdgeAdapter() {
        if (stampEdgeItemProvider == null) {
            stampEdgeItemProvider = new STAMPEdgeItemProvider(this);
        }

        return stampEdgeItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPDiagram} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPDiagramItemProvider stampDiagramItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPDiagram}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPDiagramAdapter() {
        if (stampDiagramItemProvider == null) {
            stampDiagramItemProvider = new STAMPDiagramItemProvider(this);
        }

        return stampDiagramItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPShape} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPShapeItemProvider stampShapeItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPShape}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPShapeAdapter() {
        if (stampShapeItemProvider == null) {
            stampShapeItemProvider = new STAMPShapeItemProvider(this);
        }

        return stampShapeItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPLabel} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPLabelItemProvider stampLabelItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPLabel}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPLabelAdapter() {
        if (stampLabelItemProvider == null) {
            stampLabelItemProvider = new STAMPLabelItemProvider(this);
        }

        return stampLabelItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPCompartment} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPCompartmentItemProvider stampCompartmentItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPCompartment}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPCompartmentAdapter() {
        if (stampCompartmentItemProvider == null) {
            stampCompartmentItemProvider = new STAMPCompartmentItemProvider(this);
        }

        return stampCompartmentItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPCompartmentableShape} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPCompartmentableShapeItemProvider stampCompartmentableShapeItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPCompartmentableShape}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPCompartmentableShapeAdapter() {
        if (stampCompartmentableShapeItemProvider == null) {
            stampCompartmentableShapeItemProvider = new STAMPCompartmentableShapeItemProvider(this);
        }

        return stampCompartmentableShapeItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPControlStructureDiagram} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPControlStructureDiagramItemProvider stampControlStructureDiagramItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPControlStructureDiagram}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPControlStructureDiagramAdapter() {
        if (stampControlStructureDiagramItemProvider == null) {
            stampControlStructureDiagramItemProvider = new STAMPControlStructureDiagramItemProvider(this);
        }

        return stampControlStructureDiagramItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.ComponentExtractingTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected ComponentExtractingTableItemProvider componentExtractingTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.ComponentExtractingTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createComponentExtractingTableAdapter() {
        if (componentExtractingTableItemProvider == null) {
            componentExtractingTableItemProvider = new ComponentExtractingTableItemProvider(this);
        }

        return componentExtractingTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPGraphicalShape} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPGraphicalShapeItemProvider stampGraphicalShapeItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPGraphicalShape}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPGraphicalShapeAdapter() {
        if (stampGraphicalShapeItemProvider == null) {
            stampGraphicalShapeItemProvider = new STAMPGraphicalShapeItemProvider(this);
        }

        return stampGraphicalShapeItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.PreconditionTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected PreconditionTableItemProvider preconditionTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.PreconditionTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createPreconditionTableAdapter() {
        if (preconditionTableItemProvider == null) {
            preconditionTableItemProvider = new PreconditionTableItemProvider(this);
        }

        return preconditionTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPTableItemProvider stampTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPTableAdapter() {
        if (stampTableItemProvider == null) {
            stampTableItemProvider = new STAMPTableItemProvider(this);
        }

        return stampTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected AccidentHazardSafetyConstraintTableItemProvider accidentHazardSafetyConstraintTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createAccidentHazardSafetyConstraintTableAdapter() {
        if (accidentHazardSafetyConstraintTableItemProvider == null) {
            accidentHazardSafetyConstraintTableItemProvider = new AccidentHazardSafetyConstraintTableItemProvider(this);
        }

        return accidentHazardSafetyConstraintTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.UCATable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected UCATableItemProvider ucaTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.UCATable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createUCATableAdapter() {
        if (ucaTableItemProvider == null) {
            ucaTableItemProvider = new UCATableItemProvider(this);
        }

        return ucaTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPControlLoopDiagram} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPControlLoopDiagramItemProvider stampControlLoopDiagramItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPControlLoopDiagram}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPControlLoopDiagramAdapter() {
        if (stampControlLoopDiagramItemProvider == null) {
            stampControlLoopDiagramItemProvider = new STAMPControlLoopDiagramItemProvider(this);
        }

        return stampControlLoopDiagramItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.HCFSummeryTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected HCFSummeryTableItemProvider hcfSummeryTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.HCFSummeryTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createHCFSummeryTableAdapter() {
        if (hcfSummeryTableItemProvider == null) {
            hcfSummeryTableItemProvider = new HCFSummeryTableItemProvider(this);
        }

        return hcfSummeryTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.HCFTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected HCFTableItemProvider hcfTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.HCFTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createHCFTableAdapter() {
        if (hcfTableItemProvider == null) {
            hcfTableItemProvider = new HCFTableItemProvider(this);
        }

        return hcfTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.CountermeasureTable} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected CountermeasureTableItemProvider countermeasureTableItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.CountermeasureTable}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createCountermeasureTableAdapter() {
        if (countermeasureTableItemProvider == null) {
            countermeasureTableItemProvider = new CountermeasureTableItemProvider(this);
        }

        return countermeasureTableItemProvider;
    }

    /**
     * This keeps track of the one adapter used for all {@link net.astah.stpa.stamp.notation.STAMPComponentShape} instances.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected STAMPComponentShapeItemProvider stampComponentShapeItemProvider;

    /**
     * This creates an adapter for a {@link net.astah.stpa.stamp.notation.STAMPComponentShape}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter createSTAMPComponentShapeAdapter() {
        if (stampComponentShapeItemProvider == null) {
            stampComponentShapeItemProvider = new STAMPComponentShapeItemProvider(this);
        }

        return stampComponentShapeItemProvider;
    }

    /**
     * This returns the root adapter factory that contains this factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ComposeableAdapterFactory getRootAdapterFactory() {
        return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
    }

    /**
     * This sets the composed adapter factory that contains this factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory) {
        this.parentAdapterFactory = parentAdapterFactory;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public boolean isFactoryForType(Object type) {
        return supportedTypes.contains(type) || super.isFactoryForType(type);
    }

    /**
     * This implementation substitutes the factory itself as the key for the adapter.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Adapter adapt(Notifier notifier, Object type) {
        return super.adapt(notifier, this);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Object adapt(Object object, Object type) {
        if (isFactoryForType(type)) {
            Object adapter = super.adapt(object, type);
            if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter))) {
                return adapter;
            }
        }

        return null;
    }

    /**
     * This adds a listener.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void addListener(INotifyChangedListener notifyChangedListener) {
        changeNotifier.addListener(notifyChangedListener);
    }

    /**
     * This removes a listener.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void removeListener(INotifyChangedListener notifyChangedListener) {
        changeNotifier.removeListener(notifyChangedListener);
    }

    /**
     * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void fireNotifyChanged(Notification notification) {
        changeNotifier.fireNotifyChanged(notification);

        if (parentAdapterFactory != null) {
            parentAdapterFactory.fireNotifyChanged(notification);
        }
    }

    /**
     * This disposes all of the item providers created by this factory. 
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void dispose() {
        if (stampEdgeItemProvider != null) stampEdgeItemProvider.dispose();
        if (stampDiagramItemProvider != null) stampDiagramItemProvider.dispose();
        if (stampShapeItemProvider != null) stampShapeItemProvider.dispose();
        if (stampLabelItemProvider != null) stampLabelItemProvider.dispose();
        if (stampCompartmentItemProvider != null) stampCompartmentItemProvider.dispose();
        if (stampCompartmentableShapeItemProvider != null) stampCompartmentableShapeItemProvider.dispose();
        if (stampComponentShapeItemProvider != null) stampComponentShapeItemProvider.dispose();
        if (stampGraphicalShapeItemProvider != null) stampGraphicalShapeItemProvider.dispose();
        if (stampControlStructureDiagramItemProvider != null) stampControlStructureDiagramItemProvider.dispose();
        if (componentExtractingTableItemProvider != null) componentExtractingTableItemProvider.dispose();
        if (stampTableItemProvider != null) stampTableItemProvider.dispose();
        if (stampControlLoopDiagramItemProvider != null) stampControlLoopDiagramItemProvider.dispose();
        if (preconditionTableItemProvider != null) preconditionTableItemProvider.dispose();
        if (accidentHazardSafetyConstraintTableItemProvider != null) accidentHazardSafetyConstraintTableItemProvider.dispose();
        if (ucaTableItemProvider != null) ucaTableItemProvider.dispose();
        if (hcfTableItemProvider != null) hcfTableItemProvider.dispose();
        if (hcfSummeryTableItemProvider != null) hcfSummeryTableItemProvider.dispose();
        if (countermeasureTableItemProvider != null) countermeasureTableItemProvider.dispose();
    }

}
