/**
 */
package net.astah.stpa.stamp.notation.provider;


import java.util.Collection;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

import net.astah.stpa.stamp.UCAAnalysisResult;
import net.astah.stpa.stamp.notation.STAMPNotationPackage;
import net.astah.stpa.stamp.notation.UCATable;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.edit.domain.EditingDomain;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.uml2.uml.util.UMLUtil;

/**
 * This is the item provider adapter for a {@link net.astah.stpa.stamp.notation.UCATable} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class UCATableItemProvider extends STAMPTableItemProvider {
    /**
     * This constructs an instance from a factory and a notifier.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCATableItemProvider(AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    /**
     * This returns the property descriptors for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object) {
        if (itemPropertyDescriptors == null) {
            super.getPropertyDescriptors(object);

            addControlStructureDiagramPropertyDescriptor(object);
            addAnalysisPropertyDescriptor(object);
            addControlActionPropertyDescriptor(object);
            addResultPropertyDescriptor(object);
        }
        return itemPropertyDescriptors;
    }

    /**
     * This adds a property descriptor for the Control Structure Diagram feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addControlStructureDiagramPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_UCATable_controlStructureDiagram_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_UCATable_controlStructureDiagram_feature", "_UI_UCATable_type"),
                 STAMPNotationPackage.Literals.UCA_TABLE__CONTROL_STRUCTURE_DIAGRAM,
                 true,
                 false,
                 true,
                 null,
                 null,
                 null));
    }

    /**
     * This adds a property descriptor for the Analysis feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addAnalysisPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_UCATable_analysis_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_UCATable_analysis_feature", "_UI_UCATable_type"),
                 STAMPNotationPackage.Literals.UCA_TABLE__ANALYSIS,
                 true,
                 false,
                 true,
                 null,
                 null,
                 null));
    }

    /**
     * This adds a property descriptor for the Control Action feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addControlActionPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_UCATable_controlAction_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_UCATable_controlAction_feature", "_UI_UCATable_type"),
                 STAMPNotationPackage.Literals.UCA_TABLE__CONTROL_ACTION,
                 false,
                 false,
                 false,
                 null,
                 null,
                 null));
    }

    /**
     * This adds a property descriptor for the Result feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void addResultPropertyDescriptor(Object object) {
        itemPropertyDescriptors.add
            (createItemPropertyDescriptor
                (((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
                 getResourceLocator(),
                 getString("_UI_UCATable_result_feature"),
                 getString("_UI_PropertyDescriptor_description", "_UI_UCATable_result_feature", "_UI_UCATable_type"),
                 STAMPNotationPackage.Literals.UCA_TABLE__RESULT,
                 false,
                 false,
                 false,
                 null,
                 null,
                 null));
    }

    /**
     * This returns UCATable.gif.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public Object getImage(Object object) {
        return overlayImage(object, getResourceLocator().getImage("full/obj16/UCATable"));
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected boolean shouldComposeCreationImage() {
        return true;
    }

    /**
     * This returns the label text for the adapted class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public String getText(Object object) {
        String label = ((UCATable)object).getName();
        return label == null || label.length() == 0 ?
            getString("_UI_UCATable_type") :
            getString("_UI_UCATable_type") + " " + label;
    }
    

    /**
     * This handles model notifications by calling {@link #updateChildren} to update any cached
     * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public void notifyChanged(Notification notification) {
        updateChildren(notification);
        super.notifyChanged(notification);
    }

    /**
     * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
     * that can be created under this object.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object) {
        super.collectNewChildDescriptors(newChildDescriptors, object);
    }

    /**
     * @generated NOT
     */
    @Override
    public void collectDependents(EditingDomain domain,
            Object object,
            Collection<Object> collection) {
        super.collectDependents(domain, object, collection);
        UCATable table = (UCATable) object;

        // 共通の分析に関連付くテーブルのうち、削除対象外のものが参照する分析結果を収集する
        Set<UCAAnalysisResult> survivors = UMLUtil
                .getNonNavigableInverseReferences(table.getAnalysis()).stream()
                .filter(setting -> !collection.contains(setting.getEObject()) && setting
                        .getEStructuralFeature() == STAMPNotationPackage.Literals.UCA_TABLE__ANALYSIS)
                .flatMap(setting -> ((UCATable) setting.getEObject()).getResults().stream())
                .collect(Collectors.toSet());

        // この表が参照する分析結果から収集した分析結果を除いたものを削除対象に追加する
        for (UCAAnalysisResult result : table.getResults()) {
            if (!survivors.contains(result)) {
                collection.add(result);
            }
        }
    }

}
