/**
 */
package net.astah.stpa.stamp.notation;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import net.astah.notation.NotationPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see net.astah.stpa.stamp.notation.STAMPNotationFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/uml2/2.0.0/UML originalName='STAMPNotation'"
 * @generated
 */
public interface STAMPNotationPackage extends EPackage {
    /**
     * The package name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNAME = "notation";

    /**
     * The package namespace URI.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_URI = "http://astah.net/STPA/1.0.0/STAMPNotation";

    /**
     * The package namespace name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_PREFIX = "stampn";

    /**
     * The package content type ID.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eCONTENT_TYPE = "net.astah.stpa.stamp.notation";

    /**
     * The singleton instance of the package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    STAMPNotationPackage eINSTANCE = net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl.init();

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPDiagramElementImpl <em>STAMP Diagram Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPDiagramElementImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPDiagramElement()
     * @generated
     */
    int STAMP_DIAGRAM_ELEMENT = 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__EANNOTATIONS = NotationPackage.DIAGRAM_ELEMENT__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__MODEL_ELEMENT = NotationPackage.DIAGRAM_ELEMENT__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__OWNING_ELEMENT = NotationPackage.DIAGRAM_ELEMENT__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__OWNED_ELEMENT = NotationPackage.DIAGRAM_ELEMENT__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__TARGET_EDGE = NotationPackage.DIAGRAM_ELEMENT__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__SOURCE_EDGE = NotationPackage.DIAGRAM_ELEMENT__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__LOCAL_STYLE = NotationPackage.DIAGRAM_ELEMENT__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__SHARED_STYLE = NotationPackage.DIAGRAM_ELEMENT__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__REFERENCE_STYLE = NotationPackage.DIAGRAM_ELEMENT__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__STAMP_MODEL_ELEMENT = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__STAMP_OWNING_ELEMENT = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__STAMP_TARGET_EDGE = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT__STAMP_SOURCE_EDGE = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 4;

    /**
     * The number of structural features of the '<em>STAMP Diagram Element</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT_FEATURE_COUNT = NotationPackage.DIAGRAM_ELEMENT_FEATURE_COUNT + 5;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT___GET_EANNOTATION__STRING = NotationPackage.DIAGRAM_ELEMENT___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Diagram Element</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_ELEMENT_OPERATION_COUNT = NotationPackage.DIAGRAM_ELEMENT_OPERATION_COUNT + 0;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPEdgeImpl <em>STAMP Edge</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPEdgeImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPEdge()
     * @generated
     */
    int STAMP_EDGE = 1;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__EANNOTATIONS = NotationPackage.EDGE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__MODEL_ELEMENT = NotationPackage.EDGE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__OWNING_ELEMENT = NotationPackage.EDGE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__OWNED_ELEMENT = NotationPackage.EDGE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__TARGET_EDGE = NotationPackage.EDGE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__SOURCE_EDGE = NotationPackage.EDGE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__LOCAL_STYLE = NotationPackage.EDGE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__SHARED_STYLE = NotationPackage.EDGE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__SOURCE = NotationPackage.EDGE__SOURCE;

    /**
     * The feature id for the '<em><b>Waypoint</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__WAYPOINT = NotationPackage.EDGE__WAYPOINT;

    /**
     * The feature id for the '<em><b>Target</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__TARGET = NotationPackage.EDGE__TARGET;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__REFERENCE_STYLE = NotationPackage.EDGE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Source Anchor</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__SOURCE_ANCHOR = NotationPackage.EDGE__SOURCE_ANCHOR;

    /**
     * The feature id for the '<em><b>Target Anchor</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__TARGET_ANCHOR = NotationPackage.EDGE__TARGET_ANCHOR;

    /**
     * The feature id for the '<em><b>Line</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__LINE = NotationPackage.EDGE__LINE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_MODEL_ELEMENT = NotationPackage.EDGE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_OWNING_ELEMENT = NotationPackage.EDGE_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_OWNED_ELEMENT = NotationPackage.EDGE_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_TARGET_EDGE = NotationPackage.EDGE_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_SOURCE_EDGE = NotationPackage.EDGE_FEATURE_COUNT + 4;

    /**
     * The feature id for the '<em><b>STAMP Source</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_SOURCE = NotationPackage.EDGE_FEATURE_COUNT + 5;

    /**
     * The feature id for the '<em><b>STAMP Target</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE__STAMP_TARGET = NotationPackage.EDGE_FEATURE_COUNT + 6;

    /**
     * The number of structural features of the '<em>STAMP Edge</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE_FEATURE_COUNT = NotationPackage.EDGE_FEATURE_COUNT + 7;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE___GET_EANNOTATION__STRING = NotationPackage.EDGE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Edge</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_EDGE_OPERATION_COUNT = NotationPackage.EDGE_OPERATION_COUNT + 0;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPDiagramImpl <em>STAMP Diagram</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPDiagramImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPDiagram()
     * @generated
     */
    int STAMP_DIAGRAM = 2;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPShapeImpl <em>STAMP Shape</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPShapeImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPShape()
     * @generated
     */
    int STAMP_SHAPE = 3;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPLabelImpl <em>STAMP Label</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPLabelImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPLabel()
     * @generated
     */
    int STAMP_LABEL = 4;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPCompartmentImpl <em>STAMP Compartment</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPCompartmentImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPCompartment()
     * @generated
     */
    int STAMP_COMPARTMENT = 5;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPCompartmentableShapeImpl <em>STAMP Compartmentable Shape</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPCompartmentableShapeImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPCompartmentableShape()
     * @generated
     */
    int STAMP_COMPARTMENTABLE_SHAPE = 6;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPControlStructureDiagramImpl <em>STAMP Control Structure Diagram</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPControlStructureDiagramImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPControlStructureDiagram()
     * @generated
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM = 9;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__EANNOTATIONS = NotationPackage.DIAGRAM__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__MODEL_ELEMENT = NotationPackage.DIAGRAM__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__OWNING_ELEMENT = NotationPackage.DIAGRAM__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__OWNED_ELEMENT = NotationPackage.DIAGRAM__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__TARGET_EDGE = NotationPackage.DIAGRAM__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__SOURCE_EDGE = NotationPackage.DIAGRAM__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__LOCAL_STYLE = NotationPackage.DIAGRAM__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__SHARED_STYLE = NotationPackage.DIAGRAM__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__BOUNDS = NotationPackage.DIAGRAM__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__NAME = NotationPackage.DIAGRAM__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__DOCUMENTATION = NotationPackage.DIAGRAM__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__RESOLUTION = NotationPackage.DIAGRAM__RESOLUTION;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__REFERENCE_STYLE = NotationPackage.DIAGRAM_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__STAMP_MODEL_ELEMENT = NotationPackage.DIAGRAM_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__STAMP_OWNING_ELEMENT = NotationPackage.DIAGRAM_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__STAMP_OWNED_ELEMENT = NotationPackage.DIAGRAM_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__STAMP_TARGET_EDGE = NotationPackage.DIAGRAM_FEATURE_COUNT + 4;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__STAMP_SOURCE_EDGE = NotationPackage.DIAGRAM_FEATURE_COUNT + 5;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM__OWNER = NotationPackage.DIAGRAM_FEATURE_COUNT + 6;

    /**
     * The number of structural features of the '<em>STAMP Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_FEATURE_COUNT = NotationPackage.DIAGRAM_FEATURE_COUNT + 7;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM___GET_EANNOTATION__STRING = NotationPackage.DIAGRAM___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_DIAGRAM_OPERATION_COUNT = NotationPackage.DIAGRAM_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__EANNOTATIONS = NotationPackage.SHAPE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__MODEL_ELEMENT = NotationPackage.SHAPE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__OWNING_ELEMENT = NotationPackage.SHAPE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__OWNED_ELEMENT = NotationPackage.SHAPE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__TARGET_EDGE = NotationPackage.SHAPE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__SOURCE_EDGE = NotationPackage.SHAPE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__LOCAL_STYLE = NotationPackage.SHAPE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__SHARED_STYLE = NotationPackage.SHAPE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__BOUNDS = NotationPackage.SHAPE__BOUNDS;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__REFERENCE_STYLE = NotationPackage.SHAPE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Visible</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__VISIBLE = NotationPackage.SHAPE__VISIBLE;

    /**
     * The feature id for the '<em><b>Location</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__LOCATION = NotationPackage.SHAPE__LOCATION;

    /**
     * The feature id for the '<em><b>Size</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__SIZE = NotationPackage.SHAPE__SIZE;

    /**
     * The feature id for the '<em><b>Auto Resize</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__AUTO_RESIZE = NotationPackage.SHAPE__AUTO_RESIZE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__STAMP_MODEL_ELEMENT = NotationPackage.SHAPE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__STAMP_OWNING_ELEMENT = NotationPackage.SHAPE_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__STAMP_OWNED_ELEMENT = NotationPackage.SHAPE_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__STAMP_TARGET_EDGE = NotationPackage.SHAPE_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE__STAMP_SOURCE_EDGE = NotationPackage.SHAPE_FEATURE_COUNT + 4;

    /**
     * The number of structural features of the '<em>STAMP Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE_FEATURE_COUNT = NotationPackage.SHAPE_FEATURE_COUNT + 5;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE___GET_EANNOTATION__STRING = NotationPackage.SHAPE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_SHAPE_OPERATION_COUNT = NotationPackage.SHAPE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__EANNOTATIONS = STAMP_SHAPE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__MODEL_ELEMENT = STAMP_SHAPE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__OWNING_ELEMENT = STAMP_SHAPE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__OWNED_ELEMENT = STAMP_SHAPE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__TARGET_EDGE = STAMP_SHAPE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__SOURCE_EDGE = STAMP_SHAPE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__LOCAL_STYLE = STAMP_SHAPE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__SHARED_STYLE = STAMP_SHAPE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__BOUNDS = STAMP_SHAPE__BOUNDS;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__REFERENCE_STYLE = STAMP_SHAPE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Visible</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__VISIBLE = STAMP_SHAPE__VISIBLE;

    /**
     * The feature id for the '<em><b>Location</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__LOCATION = STAMP_SHAPE__LOCATION;

    /**
     * The feature id for the '<em><b>Size</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__SIZE = STAMP_SHAPE__SIZE;

    /**
     * The feature id for the '<em><b>Auto Resize</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__AUTO_RESIZE = STAMP_SHAPE__AUTO_RESIZE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__STAMP_MODEL_ELEMENT = STAMP_SHAPE__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__STAMP_OWNING_ELEMENT = STAMP_SHAPE__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__STAMP_OWNED_ELEMENT = STAMP_SHAPE__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__STAMP_TARGET_EDGE = STAMP_SHAPE__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__STAMP_SOURCE_EDGE = STAMP_SHAPE__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Text</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL__TEXT = STAMP_SHAPE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Label</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL_FEATURE_COUNT = STAMP_SHAPE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL___GET_EANNOTATION__STRING = STAMP_SHAPE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Label</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_LABEL_OPERATION_COUNT = STAMP_SHAPE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__EANNOTATIONS = STAMP_DIAGRAM_ELEMENT__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__MODEL_ELEMENT = STAMP_DIAGRAM_ELEMENT__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__OWNING_ELEMENT = STAMP_DIAGRAM_ELEMENT__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__OWNED_ELEMENT = STAMP_DIAGRAM_ELEMENT__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__TARGET_EDGE = STAMP_DIAGRAM_ELEMENT__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__SOURCE_EDGE = STAMP_DIAGRAM_ELEMENT__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__LOCAL_STYLE = STAMP_DIAGRAM_ELEMENT__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__SHARED_STYLE = STAMP_DIAGRAM_ELEMENT__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__REFERENCE_STYLE = STAMP_DIAGRAM_ELEMENT__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__STAMP_MODEL_ELEMENT = STAMP_DIAGRAM_ELEMENT__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__STAMP_OWNING_ELEMENT = STAMP_DIAGRAM_ELEMENT__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__STAMP_OWNED_ELEMENT = STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__STAMP_TARGET_EDGE = STAMP_DIAGRAM_ELEMENT__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__STAMP_SOURCE_EDGE = STAMP_DIAGRAM_ELEMENT__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Element In Compartment</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT__ELEMENT_IN_COMPARTMENT = STAMP_DIAGRAM_ELEMENT_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Compartment</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT_FEATURE_COUNT = STAMP_DIAGRAM_ELEMENT_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT___GET_EANNOTATION__STRING = STAMP_DIAGRAM_ELEMENT___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Compartment</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENT_OPERATION_COUNT = STAMP_DIAGRAM_ELEMENT_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__EANNOTATIONS = STAMP_SHAPE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__MODEL_ELEMENT = STAMP_SHAPE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__OWNING_ELEMENT = STAMP_SHAPE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__OWNED_ELEMENT = STAMP_SHAPE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__TARGET_EDGE = STAMP_SHAPE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__SOURCE_EDGE = STAMP_SHAPE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__LOCAL_STYLE = STAMP_SHAPE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__SHARED_STYLE = STAMP_SHAPE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__BOUNDS = STAMP_SHAPE__BOUNDS;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__REFERENCE_STYLE = STAMP_SHAPE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Visible</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__VISIBLE = STAMP_SHAPE__VISIBLE;

    /**
     * The feature id for the '<em><b>Location</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__LOCATION = STAMP_SHAPE__LOCATION;

    /**
     * The feature id for the '<em><b>Size</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__SIZE = STAMP_SHAPE__SIZE;

    /**
     * The feature id for the '<em><b>Auto Resize</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__AUTO_RESIZE = STAMP_SHAPE__AUTO_RESIZE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__STAMP_MODEL_ELEMENT = STAMP_SHAPE__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__STAMP_OWNING_ELEMENT = STAMP_SHAPE__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__STAMP_OWNED_ELEMENT = STAMP_SHAPE__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__STAMP_TARGET_EDGE = STAMP_SHAPE__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__STAMP_SOURCE_EDGE = STAMP_SHAPE__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Compartment</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT = STAMP_SHAPE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Compartmentable Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE_FEATURE_COUNT = STAMP_SHAPE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE___GET_EANNOTATION__STRING = STAMP_SHAPE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Compartmentable Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPARTMENTABLE_SHAPE_OPERATION_COUNT = STAMP_SHAPE_OPERATION_COUNT + 0;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPGraphicalShapeImpl <em>STAMP Graphical Shape</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPGraphicalShapeImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPGraphicalShape()
     * @generated
     */
    int STAMP_GRAPHICAL_SHAPE = 8;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPTableImpl <em>STAMP Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPTable()
     * @generated
     */
    int STAMP_TABLE = 11;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.ComponentExtractingTableImpl <em>Component Extracting Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.ComponentExtractingTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getComponentExtractingTable()
     * @generated
     */
    int COMPONENT_EXTRACTING_TABLE = 10;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.PreconditionTableImpl <em>Precondition Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.PreconditionTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getPreconditionTable()
     * @generated
     */
    int PRECONDITION_TABLE = 13;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.AccidentHazardSafetyConstraintTableImpl <em>Accident Hazard Safety Constraint Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.AccidentHazardSafetyConstraintTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getAccidentHazardSafetyConstraintTable()
     * @generated
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE = 14;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.UCATableImpl <em>UCA Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.UCATableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getUCATable()
     * @generated
     */
    int UCA_TABLE = 15;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPControlLoopDiagramImpl <em>STAMP Control Loop Diagram</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPControlLoopDiagramImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPControlLoopDiagram()
     * @generated
     */
    int STAMP_CONTROL_LOOP_DIAGRAM = 12;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.HCFSummeryTableImpl <em>HCF Summery Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.HCFSummeryTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getHCFSummeryTable()
     * @generated
     */
    int HCF_SUMMERY_TABLE = 17;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.HCFTableImpl <em>HCF Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.HCFTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getHCFTable()
     * @generated
     */
    int HCF_TABLE = 16;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.CountermeasureTableImpl <em>Countermeasure Table</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.CountermeasureTableImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getCountermeasureTable()
     * @generated
     */
    int COUNTERMEASURE_TABLE = 18;

    /**
     * The meta object id for the '{@link net.astah.stpa.stamp.notation.impl.STAMPComponentShapeImpl <em>STAMP Component Shape</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see net.astah.stpa.stamp.notation.impl.STAMPComponentShapeImpl
     * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPComponentShape()
     * @generated
     */
    int STAMP_COMPONENT_SHAPE = 7;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__EANNOTATIONS = STAMP_COMPARTMENTABLE_SHAPE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__MODEL_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__OWNING_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__OWNED_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__TARGET_EDGE = STAMP_COMPARTMENTABLE_SHAPE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__SOURCE_EDGE = STAMP_COMPARTMENTABLE_SHAPE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__LOCAL_STYLE = STAMP_COMPARTMENTABLE_SHAPE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__SHARED_STYLE = STAMP_COMPARTMENTABLE_SHAPE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__BOUNDS = STAMP_COMPARTMENTABLE_SHAPE__BOUNDS;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__REFERENCE_STYLE = STAMP_COMPARTMENTABLE_SHAPE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Visible</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__VISIBLE = STAMP_COMPARTMENTABLE_SHAPE__VISIBLE;

    /**
     * The feature id for the '<em><b>Location</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__LOCATION = STAMP_COMPARTMENTABLE_SHAPE__LOCATION;

    /**
     * The feature id for the '<em><b>Size</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__SIZE = STAMP_COMPARTMENTABLE_SHAPE__SIZE;

    /**
     * The feature id for the '<em><b>Auto Resize</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__AUTO_RESIZE = STAMP_COMPARTMENTABLE_SHAPE__AUTO_RESIZE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__STAMP_MODEL_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__STAMP_OWNING_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__STAMP_OWNED_ELEMENT = STAMP_COMPARTMENTABLE_SHAPE__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__STAMP_TARGET_EDGE = STAMP_COMPARTMENTABLE_SHAPE__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__STAMP_SOURCE_EDGE = STAMP_COMPARTMENTABLE_SHAPE__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Compartment</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__COMPARTMENT = STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT;

    /**
     * The feature id for the '<em><b>Is Omitted</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE__IS_OMITTED = STAMP_COMPARTMENTABLE_SHAPE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Component Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE_FEATURE_COUNT = STAMP_COMPARTMENTABLE_SHAPE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE___GET_EANNOTATION__STRING = STAMP_COMPARTMENTABLE_SHAPE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Component Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_COMPONENT_SHAPE_OPERATION_COUNT = STAMP_COMPARTMENTABLE_SHAPE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__EANNOTATIONS = NotationPackage.GRAPHICAL_SHAPE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__MODEL_ELEMENT = NotationPackage.GRAPHICAL_SHAPE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__OWNING_ELEMENT = NotationPackage.GRAPHICAL_SHAPE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__OWNED_ELEMENT = NotationPackage.GRAPHICAL_SHAPE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__TARGET_EDGE = NotationPackage.GRAPHICAL_SHAPE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__SOURCE_EDGE = NotationPackage.GRAPHICAL_SHAPE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__LOCAL_STYLE = NotationPackage.GRAPHICAL_SHAPE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__SHARED_STYLE = NotationPackage.GRAPHICAL_SHAPE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__BOUNDS = NotationPackage.GRAPHICAL_SHAPE__BOUNDS;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__REFERENCE_STYLE = NotationPackage.GRAPHICAL_SHAPE__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>Visible</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__VISIBLE = NotationPackage.GRAPHICAL_SHAPE__VISIBLE;

    /**
     * The feature id for the '<em><b>Location</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__LOCATION = NotationPackage.GRAPHICAL_SHAPE__LOCATION;

    /**
     * The feature id for the '<em><b>Size</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__SIZE = NotationPackage.GRAPHICAL_SHAPE__SIZE;

    /**
     * The feature id for the '<em><b>Auto Resize</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__AUTO_RESIZE = NotationPackage.GRAPHICAL_SHAPE__AUTO_RESIZE;

    /**
     * The feature id for the '<em><b>Figure</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__FIGURE = NotationPackage.GRAPHICAL_SHAPE__FIGURE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__STAMP_MODEL_ELEMENT = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__STAMP_OWNING_ELEMENT = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__STAMP_OWNED_ELEMENT = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__STAMP_TARGET_EDGE = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE__STAMP_SOURCE_EDGE = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 4;

    /**
     * The number of structural features of the '<em>STAMP Graphical Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE_FEATURE_COUNT = NotationPackage.GRAPHICAL_SHAPE_FEATURE_COUNT + 5;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE___GET_EANNOTATION__STRING = NotationPackage.GRAPHICAL_SHAPE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Graphical Shape</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_GRAPHICAL_SHAPE_OPERATION_COUNT = NotationPackage.GRAPHICAL_SHAPE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__EANNOTATIONS = STAMP_DIAGRAM__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__MODEL_ELEMENT = STAMP_DIAGRAM__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__OWNING_ELEMENT = STAMP_DIAGRAM__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__OWNED_ELEMENT = STAMP_DIAGRAM__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__TARGET_EDGE = STAMP_DIAGRAM__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__SOURCE_EDGE = STAMP_DIAGRAM__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__LOCAL_STYLE = STAMP_DIAGRAM__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__SHARED_STYLE = STAMP_DIAGRAM__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__BOUNDS = STAMP_DIAGRAM__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__NAME = STAMP_DIAGRAM__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__DOCUMENTATION = STAMP_DIAGRAM__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__RESOLUTION = STAMP_DIAGRAM__RESOLUTION;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__REFERENCE_STYLE = STAMP_DIAGRAM__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__STAMP_MODEL_ELEMENT = STAMP_DIAGRAM__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__STAMP_OWNING_ELEMENT = STAMP_DIAGRAM__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__STAMP_OWNED_ELEMENT = STAMP_DIAGRAM__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__STAMP_TARGET_EDGE = STAMP_DIAGRAM__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__STAMP_SOURCE_EDGE = STAMP_DIAGRAM__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__OWNER = STAMP_DIAGRAM__OWNER;

    /**
     * The feature id for the '<em><b>Component Extracting Table</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM__COMPONENT_EXTRACTING_TABLE = STAMP_DIAGRAM_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Control Structure Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM_FEATURE_COUNT = STAMP_DIAGRAM_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM___GET_EANNOTATION__STRING = STAMP_DIAGRAM___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Control Structure Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_STRUCTURE_DIAGRAM_OPERATION_COUNT = STAMP_DIAGRAM_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__EANNOTATIONS = NotationPackage.TABLE_VIEW__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__MODEL_ELEMENT = NotationPackage.TABLE_VIEW__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__OWNING_ELEMENT = NotationPackage.TABLE_VIEW__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__OWNED_ELEMENT = NotationPackage.TABLE_VIEW__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__TARGET_EDGE = NotationPackage.TABLE_VIEW__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__SOURCE_EDGE = NotationPackage.TABLE_VIEW__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__LOCAL_STYLE = NotationPackage.TABLE_VIEW__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__SHARED_STYLE = NotationPackage.TABLE_VIEW__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__BOUNDS = NotationPackage.TABLE_VIEW__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__NAME = NotationPackage.TABLE_VIEW__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__DOCUMENTATION = NotationPackage.TABLE_VIEW__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__RESOLUTION = NotationPackage.TABLE_VIEW__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE__OWNER = NotationPackage.TABLE_VIEW_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE_FEATURE_COUNT = NotationPackage.TABLE_VIEW_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE___GET_EANNOTATION__STRING = NotationPackage.TABLE_VIEW___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_TABLE_OPERATION_COUNT = NotationPackage.TABLE_VIEW_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Scope</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__SCOPE = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Control Structure Diagram</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE__CONTROL_STRUCTURE_DIAGRAM = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the '<em>Component Extracting Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 2;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>Component Extracting Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COMPONENT_EXTRACTING_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__EANNOTATIONS = STAMP_DIAGRAM__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__MODEL_ELEMENT = STAMP_DIAGRAM__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__OWNING_ELEMENT = STAMP_DIAGRAM__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__OWNED_ELEMENT = STAMP_DIAGRAM__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__TARGET_EDGE = STAMP_DIAGRAM__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__SOURCE_EDGE = STAMP_DIAGRAM__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__LOCAL_STYLE = STAMP_DIAGRAM__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__SHARED_STYLE = STAMP_DIAGRAM__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__BOUNDS = STAMP_DIAGRAM__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__NAME = STAMP_DIAGRAM__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__DOCUMENTATION = STAMP_DIAGRAM__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__RESOLUTION = STAMP_DIAGRAM__RESOLUTION;

    /**
     * The feature id for the '<em><b>Reference Style</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__REFERENCE_STYLE = STAMP_DIAGRAM__REFERENCE_STYLE;

    /**
     * The feature id for the '<em><b>STAMP Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__STAMP_MODEL_ELEMENT = STAMP_DIAGRAM__STAMP_MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owning Element</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__STAMP_OWNING_ELEMENT = STAMP_DIAGRAM__STAMP_OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Owned Element</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__STAMP_OWNED_ELEMENT = STAMP_DIAGRAM__STAMP_OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>STAMP Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__STAMP_TARGET_EDGE = STAMP_DIAGRAM__STAMP_TARGET_EDGE;

    /**
     * The feature id for the '<em><b>STAMP Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__STAMP_SOURCE_EDGE = STAMP_DIAGRAM__STAMP_SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__OWNER = STAMP_DIAGRAM__OWNER;

    /**
     * The feature id for the '<em><b>Control Loop</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM__CONTROL_LOOP = STAMP_DIAGRAM_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>STAMP Control Loop Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM_FEATURE_COUNT = STAMP_DIAGRAM_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM___GET_EANNOTATION__STRING = STAMP_DIAGRAM___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>STAMP Control Loop Diagram</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int STAMP_CONTROL_LOOP_DIAGRAM_OPERATION_COUNT = STAMP_DIAGRAM_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Scope</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE__SCOPE = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>Precondition Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>Precondition Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int PRECONDITION_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Scope</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__SCOPE = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>Accident Hazard Safety Constraint Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>Accident Hazard Safety Constraint Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Control Structure Diagram</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__CONTROL_STRUCTURE_DIAGRAM = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Analysis</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__ANALYSIS = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Control Action</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__CONTROL_ACTION = STAMP_TABLE_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>Result</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE__RESULT = STAMP_TABLE_FEATURE_COUNT + 3;

    /**
     * The number of structural features of the '<em>UCA Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 4;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>UCA Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int UCA_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Unsafe Control Action</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__UNSAFE_CONTROL_ACTION = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Control Loop</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE__CONTROL_LOOP = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the '<em>HCF Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 2;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>HCF Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Analysis</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE__ANALYSIS = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>HCF Summery Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>HCF Summery Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HCF_SUMMERY_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;

    /**
     * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__EANNOTATIONS = STAMP_TABLE__EANNOTATIONS;

    /**
     * The feature id for the '<em><b>Model Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__MODEL_ELEMENT = STAMP_TABLE__MODEL_ELEMENT;

    /**
     * The feature id for the '<em><b>Owning Element</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__OWNING_ELEMENT = STAMP_TABLE__OWNING_ELEMENT;

    /**
     * The feature id for the '<em><b>Owned Element</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__OWNED_ELEMENT = STAMP_TABLE__OWNED_ELEMENT;

    /**
     * The feature id for the '<em><b>Target Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__TARGET_EDGE = STAMP_TABLE__TARGET_EDGE;

    /**
     * The feature id for the '<em><b>Source Edge</b></em>' reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__SOURCE_EDGE = STAMP_TABLE__SOURCE_EDGE;

    /**
     * The feature id for the '<em><b>Local Style</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__LOCAL_STYLE = STAMP_TABLE__LOCAL_STYLE;

    /**
     * The feature id for the '<em><b>Shared Style</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__SHARED_STYLE = STAMP_TABLE__SHARED_STYLE;

    /**
     * The feature id for the '<em><b>Bounds</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__BOUNDS = STAMP_TABLE__BOUNDS;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__NAME = STAMP_TABLE__NAME;

    /**
     * The feature id for the '<em><b>Documentation</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__DOCUMENTATION = STAMP_TABLE__DOCUMENTATION;

    /**
     * The feature id for the '<em><b>Resolution</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__RESOLUTION = STAMP_TABLE__RESOLUTION;

    /**
     * The feature id for the '<em><b>Owner</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__OWNER = STAMP_TABLE__OWNER;

    /**
     * The feature id for the '<em><b>Scope</b></em>' reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE__SCOPE = STAMP_TABLE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the '<em>Countermeasure Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE_FEATURE_COUNT = STAMP_TABLE_FEATURE_COUNT + 1;

    /**
     * The operation id for the '<em>Get EAnnotation</em>' operation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE___GET_EANNOTATION__STRING = STAMP_TABLE___GET_EANNOTATION__STRING;

    /**
     * The number of operations of the '<em>Countermeasure Table</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int COUNTERMEASURE_TABLE_OPERATION_COUNT = STAMP_TABLE_OPERATION_COUNT + 0;


    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement <em>STAMP Diagram Element</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Diagram Element</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement
     * @generated
     */
    EClass getSTAMPDiagramElement();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPModelElements <em>STAMP Model Element</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>STAMP Model Element</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPModelElements()
     * @see #getSTAMPDiagramElement()
     * @generated
     */
    EReference getSTAMPDiagramElement_STAMPModelElement();

    /**
     * Returns the meta object for the container reference '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPOwningElement <em>STAMP Owning Element</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the container reference '<em>STAMP Owning Element</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPOwningElement()
     * @see #getSTAMPDiagramElement()
     * @generated
     */
    EReference getSTAMPDiagramElement_STAMPOwningElement();

    /**
     * Returns the meta object for the containment reference list '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPOwnedElements <em>STAMP Owned Element</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference list '<em>STAMP Owned Element</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPOwnedElements()
     * @see #getSTAMPDiagramElement()
     * @generated
     */
    EReference getSTAMPDiagramElement_STAMPOwnedElement();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPTargetEdges <em>STAMP Target Edge</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>STAMP Target Edge</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPTargetEdges()
     * @see #getSTAMPDiagramElement()
     * @generated
     */
    EReference getSTAMPDiagramElement_STAMPTargetEdge();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPSourceEdges <em>STAMP Source Edge</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>STAMP Source Edge</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagramElement#getSTAMPSourceEdges()
     * @see #getSTAMPDiagramElement()
     * @generated
     */
    EReference getSTAMPDiagramElement_STAMPSourceEdge();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPEdge <em>STAMP Edge</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Edge</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPEdge
     * @generated
     */
    EClass getSTAMPEdge();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPEdge#getSTAMPSource <em>STAMP Source</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>STAMP Source</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPEdge#getSTAMPSource()
     * @see #getSTAMPEdge()
     * @generated
     */
    EReference getSTAMPEdge_STAMPSource();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPEdge#getSTAMPTarget <em>STAMP Target</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>STAMP Target</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPEdge#getSTAMPTarget()
     * @see #getSTAMPEdge()
     * @generated
     */
    EReference getSTAMPEdge_STAMPTarget();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPDiagram <em>STAMP Diagram</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Diagram</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagram
     * @generated
     */
    EClass getSTAMPDiagram();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPDiagram#getOwner <em>Owner</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Owner</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPDiagram#getOwner()
     * @see #getSTAMPDiagram()
     * @generated
     */
    EReference getSTAMPDiagram_Owner();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPShape <em>STAMP Shape</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Shape</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPShape
     * @generated
     */
    EClass getSTAMPShape();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPLabel <em>STAMP Label</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Label</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPLabel
     * @generated
     */
    EClass getSTAMPLabel();

    /**
     * Returns the meta object for the attribute '{@link net.astah.stpa.stamp.notation.STAMPLabel#getText <em>Text</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Text</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPLabel#getText()
     * @see #getSTAMPLabel()
     * @generated
     */
    EAttribute getSTAMPLabel_Text();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPCompartment <em>STAMP Compartment</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Compartment</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPCompartment
     * @generated
     */
    EClass getSTAMPCompartment();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.STAMPCompartment#getElementInCompartments <em>Element In Compartment</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>Element In Compartment</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPCompartment#getElementInCompartments()
     * @see #getSTAMPCompartment()
     * @generated
     */
    EReference getSTAMPCompartment_ElementInCompartment();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPCompartmentableShape <em>STAMP Compartmentable Shape</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Compartmentable Shape</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPCompartmentableShape
     * @generated
     */
    EClass getSTAMPCompartmentableShape();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.STAMPCompartmentableShape#getCompartments <em>Compartment</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>Compartment</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPCompartmentableShape#getCompartments()
     * @see #getSTAMPCompartmentableShape()
     * @generated
     */
    EReference getSTAMPCompartmentableShape_Compartment();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPControlStructureDiagram <em>STAMP Control Structure Diagram</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Control Structure Diagram</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPControlStructureDiagram
     * @generated
     */
    EClass getSTAMPControlStructureDiagram();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPControlStructureDiagram#getComponentExtractingTable <em>Component Extracting Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Component Extracting Table</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPControlStructureDiagram#getComponentExtractingTable()
     * @see #getSTAMPControlStructureDiagram()
     * @generated
     */
    EReference getSTAMPControlStructureDiagram_ComponentExtractingTable();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.ComponentExtractingTable <em>Component Extracting Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Component Extracting Table</em>'.
     * @see net.astah.stpa.stamp.notation.ComponentExtractingTable
     * @generated
     */
    EClass getComponentExtractingTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.ComponentExtractingTable#getScope <em>Scope</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Scope</em>'.
     * @see net.astah.stpa.stamp.notation.ComponentExtractingTable#getScope()
     * @see #getComponentExtractingTable()
     * @generated
     */
    EReference getComponentExtractingTable_Scope();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.ComponentExtractingTable#getControlStructureDiagram <em>Control Structure Diagram</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Control Structure Diagram</em>'.
     * @see net.astah.stpa.stamp.notation.ComponentExtractingTable#getControlStructureDiagram()
     * @see #getComponentExtractingTable()
     * @generated
     */
    EReference getComponentExtractingTable_ControlStructureDiagram();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPGraphicalShape <em>STAMP Graphical Shape</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Graphical Shape</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPGraphicalShape
     * @generated
     */
    EClass getSTAMPGraphicalShape();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.PreconditionTable <em>Precondition Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Precondition Table</em>'.
     * @see net.astah.stpa.stamp.notation.PreconditionTable
     * @generated
     */
    EClass getPreconditionTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.PreconditionTable#getScope <em>Scope</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Scope</em>'.
     * @see net.astah.stpa.stamp.notation.PreconditionTable#getScope()
     * @see #getPreconditionTable()
     * @generated
     */
    EReference getPreconditionTable_Scope();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPTable <em>STAMP Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Table</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPTable
     * @generated
     */
    EClass getSTAMPTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPTable#getOwner <em>Owner</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Owner</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPTable#getOwner()
     * @see #getSTAMPTable()
     * @generated
     */
    EReference getSTAMPTable_Owner();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable <em>Accident Hazard Safety Constraint Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Accident Hazard Safety Constraint Table</em>'.
     * @see net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable
     * @generated
     */
    EClass getAccidentHazardSafetyConstraintTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable#getScope <em>Scope</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Scope</em>'.
     * @see net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable#getScope()
     * @see #getAccidentHazardSafetyConstraintTable()
     * @generated
     */
    EReference getAccidentHazardSafetyConstraintTable_Scope();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.UCATable <em>UCA Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>UCA Table</em>'.
     * @see net.astah.stpa.stamp.notation.UCATable
     * @generated
     */
    EClass getUCATable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.UCATable#getControlStructureDiagram <em>Control Structure Diagram</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Control Structure Diagram</em>'.
     * @see net.astah.stpa.stamp.notation.UCATable#getControlStructureDiagram()
     * @see #getUCATable()
     * @generated
     */
    EReference getUCATable_ControlStructureDiagram();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.UCATable#getAnalysis <em>Analysis</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Analysis</em>'.
     * @see net.astah.stpa.stamp.notation.UCATable#getAnalysis()
     * @see #getUCATable()
     * @generated
     */
    EReference getUCATable_Analysis();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.UCATable#getControlActions <em>Control Action</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>Control Action</em>'.
     * @see net.astah.stpa.stamp.notation.UCATable#getControlActions()
     * @see #getUCATable()
     * @generated
     */
    EReference getUCATable_ControlAction();

    /**
     * Returns the meta object for the reference list '{@link net.astah.stpa.stamp.notation.UCATable#getResults <em>Result</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference list '<em>Result</em>'.
     * @see net.astah.stpa.stamp.notation.UCATable#getResults()
     * @see #getUCATable()
     * @generated
     */
    EReference getUCATable_Result();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPControlLoopDiagram <em>STAMP Control Loop Diagram</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Control Loop Diagram</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPControlLoopDiagram
     * @generated
     */
    EClass getSTAMPControlLoopDiagram();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.STAMPControlLoopDiagram#getControlLoop <em>Control Loop</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Control Loop</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPControlLoopDiagram#getControlLoop()
     * @see #getSTAMPControlLoopDiagram()
     * @generated
     */
    EReference getSTAMPControlLoopDiagram_ControlLoop();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.HCFSummeryTable <em>HCF Summery Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>HCF Summery Table</em>'.
     * @see net.astah.stpa.stamp.notation.HCFSummeryTable
     * @generated
     */
    EClass getHCFSummeryTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.HCFSummeryTable#getAnalysis <em>Analysis</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Analysis</em>'.
     * @see net.astah.stpa.stamp.notation.HCFSummeryTable#getAnalysis()
     * @see #getHCFSummeryTable()
     * @generated
     */
    EReference getHCFSummeryTable_Analysis();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.HCFTable <em>HCF Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>HCF Table</em>'.
     * @see net.astah.stpa.stamp.notation.HCFTable
     * @generated
     */
    EClass getHCFTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.HCFTable#getUnsafeControlAction <em>Unsafe Control Action</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Unsafe Control Action</em>'.
     * @see net.astah.stpa.stamp.notation.HCFTable#getUnsafeControlAction()
     * @see #getHCFTable()
     * @generated
     */
    EReference getHCFTable_UnsafeControlAction();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.HCFTable#getControlLoop <em>Control Loop</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Control Loop</em>'.
     * @see net.astah.stpa.stamp.notation.HCFTable#getControlLoop()
     * @see #getHCFTable()
     * @generated
     */
    EReference getHCFTable_ControlLoop();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.CountermeasureTable <em>Countermeasure Table</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Countermeasure Table</em>'.
     * @see net.astah.stpa.stamp.notation.CountermeasureTable
     * @generated
     */
    EClass getCountermeasureTable();

    /**
     * Returns the meta object for the reference '{@link net.astah.stpa.stamp.notation.CountermeasureTable#getScope <em>Scope</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the reference '<em>Scope</em>'.
     * @see net.astah.stpa.stamp.notation.CountermeasureTable#getScope()
     * @see #getCountermeasureTable()
     * @generated
     */
    EReference getCountermeasureTable_Scope();

    /**
     * Returns the meta object for class '{@link net.astah.stpa.stamp.notation.STAMPComponentShape <em>STAMP Component Shape</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>STAMP Component Shape</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPComponentShape
     * @generated
     */
    EClass getSTAMPComponentShape();

    /**
     * Returns the meta object for the attribute '{@link net.astah.stpa.stamp.notation.STAMPComponentShape#isOmitted <em>Is Omitted</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Is Omitted</em>'.
     * @see net.astah.stpa.stamp.notation.STAMPComponentShape#isOmitted()
     * @see #getSTAMPComponentShape()
     * @generated
     */
    EAttribute getSTAMPComponentShape_IsOmitted();

    /**
     * Returns the factory that creates the instances of the model.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the factory that creates the instances of the model.
     * @generated
     */
    STAMPNotationFactory getSTAMPNotationFactory();

    /**
     * <!-- begin-user-doc -->
     * Defines literals for the meta objects that represent
     * <ul>
     *   <li>each class,</li>
     *   <li>each feature of each class,</li>
     *   <li>each operation of each class,</li>
     *   <li>each enum,</li>
     *   <li>and each data type</li>
     * </ul>
     * <!-- end-user-doc -->
     * @generated
     */
    interface Literals {
        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPDiagramElementImpl <em>STAMP Diagram Element</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPDiagramElementImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPDiagramElement()
         * @generated
         */
        EClass STAMP_DIAGRAM_ELEMENT = eINSTANCE.getSTAMPDiagramElement();

        /**
         * The meta object literal for the '<em><b>STAMP Model Element</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM_ELEMENT__STAMP_MODEL_ELEMENT = eINSTANCE.getSTAMPDiagramElement_STAMPModelElement();

        /**
         * The meta object literal for the '<em><b>STAMP Owning Element</b></em>' container reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM_ELEMENT__STAMP_OWNING_ELEMENT = eINSTANCE.getSTAMPDiagramElement_STAMPOwningElement();

        /**
         * The meta object literal for the '<em><b>STAMP Owned Element</b></em>' containment reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM_ELEMENT__STAMP_OWNED_ELEMENT = eINSTANCE.getSTAMPDiagramElement_STAMPOwnedElement();

        /**
         * The meta object literal for the '<em><b>STAMP Target Edge</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM_ELEMENT__STAMP_TARGET_EDGE = eINSTANCE.getSTAMPDiagramElement_STAMPTargetEdge();

        /**
         * The meta object literal for the '<em><b>STAMP Source Edge</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM_ELEMENT__STAMP_SOURCE_EDGE = eINSTANCE.getSTAMPDiagramElement_STAMPSourceEdge();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPEdgeImpl <em>STAMP Edge</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPEdgeImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPEdge()
         * @generated
         */
        EClass STAMP_EDGE = eINSTANCE.getSTAMPEdge();

        /**
         * The meta object literal for the '<em><b>STAMP Source</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_EDGE__STAMP_SOURCE = eINSTANCE.getSTAMPEdge_STAMPSource();

        /**
         * The meta object literal for the '<em><b>STAMP Target</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_EDGE__STAMP_TARGET = eINSTANCE.getSTAMPEdge_STAMPTarget();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPDiagramImpl <em>STAMP Diagram</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPDiagramImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPDiagram()
         * @generated
         */
        EClass STAMP_DIAGRAM = eINSTANCE.getSTAMPDiagram();

        /**
         * The meta object literal for the '<em><b>Owner</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_DIAGRAM__OWNER = eINSTANCE.getSTAMPDiagram_Owner();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPShapeImpl <em>STAMP Shape</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPShapeImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPShape()
         * @generated
         */
        EClass STAMP_SHAPE = eINSTANCE.getSTAMPShape();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPLabelImpl <em>STAMP Label</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPLabelImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPLabel()
         * @generated
         */
        EClass STAMP_LABEL = eINSTANCE.getSTAMPLabel();

        /**
         * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EAttribute STAMP_LABEL__TEXT = eINSTANCE.getSTAMPLabel_Text();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPCompartmentImpl <em>STAMP Compartment</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPCompartmentImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPCompartment()
         * @generated
         */
        EClass STAMP_COMPARTMENT = eINSTANCE.getSTAMPCompartment();

        /**
         * The meta object literal for the '<em><b>Element In Compartment</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_COMPARTMENT__ELEMENT_IN_COMPARTMENT = eINSTANCE.getSTAMPCompartment_ElementInCompartment();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPCompartmentableShapeImpl <em>STAMP Compartmentable Shape</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPCompartmentableShapeImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPCompartmentableShape()
         * @generated
         */
        EClass STAMP_COMPARTMENTABLE_SHAPE = eINSTANCE.getSTAMPCompartmentableShape();

        /**
         * The meta object literal for the '<em><b>Compartment</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_COMPARTMENTABLE_SHAPE__COMPARTMENT = eINSTANCE.getSTAMPCompartmentableShape_Compartment();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPControlStructureDiagramImpl <em>STAMP Control Structure Diagram</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPControlStructureDiagramImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPControlStructureDiagram()
         * @generated
         */
        EClass STAMP_CONTROL_STRUCTURE_DIAGRAM = eINSTANCE.getSTAMPControlStructureDiagram();

        /**
         * The meta object literal for the '<em><b>Component Extracting Table</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_CONTROL_STRUCTURE_DIAGRAM__COMPONENT_EXTRACTING_TABLE = eINSTANCE.getSTAMPControlStructureDiagram_ComponentExtractingTable();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.ComponentExtractingTableImpl <em>Component Extracting Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.ComponentExtractingTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getComponentExtractingTable()
         * @generated
         */
        EClass COMPONENT_EXTRACTING_TABLE = eINSTANCE.getComponentExtractingTable();

        /**
         * The meta object literal for the '<em><b>Scope</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference COMPONENT_EXTRACTING_TABLE__SCOPE = eINSTANCE.getComponentExtractingTable_Scope();

        /**
         * The meta object literal for the '<em><b>Control Structure Diagram</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference COMPONENT_EXTRACTING_TABLE__CONTROL_STRUCTURE_DIAGRAM = eINSTANCE.getComponentExtractingTable_ControlStructureDiagram();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPGraphicalShapeImpl <em>STAMP Graphical Shape</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPGraphicalShapeImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPGraphicalShape()
         * @generated
         */
        EClass STAMP_GRAPHICAL_SHAPE = eINSTANCE.getSTAMPGraphicalShape();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.PreconditionTableImpl <em>Precondition Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.PreconditionTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getPreconditionTable()
         * @generated
         */
        EClass PRECONDITION_TABLE = eINSTANCE.getPreconditionTable();

        /**
         * The meta object literal for the '<em><b>Scope</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference PRECONDITION_TABLE__SCOPE = eINSTANCE.getPreconditionTable_Scope();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPTableImpl <em>STAMP Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPTable()
         * @generated
         */
        EClass STAMP_TABLE = eINSTANCE.getSTAMPTable();

        /**
         * The meta object literal for the '<em><b>Owner</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_TABLE__OWNER = eINSTANCE.getSTAMPTable_Owner();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.AccidentHazardSafetyConstraintTableImpl <em>Accident Hazard Safety Constraint Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.AccidentHazardSafetyConstraintTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getAccidentHazardSafetyConstraintTable()
         * @generated
         */
        EClass ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE = eINSTANCE.getAccidentHazardSafetyConstraintTable();

        /**
         * The meta object literal for the '<em><b>Scope</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE__SCOPE = eINSTANCE.getAccidentHazardSafetyConstraintTable_Scope();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.UCATableImpl <em>UCA Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.UCATableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getUCATable()
         * @generated
         */
        EClass UCA_TABLE = eINSTANCE.getUCATable();

        /**
         * The meta object literal for the '<em><b>Control Structure Diagram</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference UCA_TABLE__CONTROL_STRUCTURE_DIAGRAM = eINSTANCE.getUCATable_ControlStructureDiagram();

        /**
         * The meta object literal for the '<em><b>Analysis</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference UCA_TABLE__ANALYSIS = eINSTANCE.getUCATable_Analysis();

        /**
         * The meta object literal for the '<em><b>Control Action</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference UCA_TABLE__CONTROL_ACTION = eINSTANCE.getUCATable_ControlAction();

        /**
         * The meta object literal for the '<em><b>Result</b></em>' reference list feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference UCA_TABLE__RESULT = eINSTANCE.getUCATable_Result();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPControlLoopDiagramImpl <em>STAMP Control Loop Diagram</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPControlLoopDiagramImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPControlLoopDiagram()
         * @generated
         */
        EClass STAMP_CONTROL_LOOP_DIAGRAM = eINSTANCE.getSTAMPControlLoopDiagram();

        /**
         * The meta object literal for the '<em><b>Control Loop</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference STAMP_CONTROL_LOOP_DIAGRAM__CONTROL_LOOP = eINSTANCE.getSTAMPControlLoopDiagram_ControlLoop();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.HCFSummeryTableImpl <em>HCF Summery Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.HCFSummeryTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getHCFSummeryTable()
         * @generated
         */
        EClass HCF_SUMMERY_TABLE = eINSTANCE.getHCFSummeryTable();

        /**
         * The meta object literal for the '<em><b>Analysis</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference HCF_SUMMERY_TABLE__ANALYSIS = eINSTANCE.getHCFSummeryTable_Analysis();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.HCFTableImpl <em>HCF Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.HCFTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getHCFTable()
         * @generated
         */
        EClass HCF_TABLE = eINSTANCE.getHCFTable();

        /**
         * The meta object literal for the '<em><b>Unsafe Control Action</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference HCF_TABLE__UNSAFE_CONTROL_ACTION = eINSTANCE.getHCFTable_UnsafeControlAction();

        /**
         * The meta object literal for the '<em><b>Control Loop</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference HCF_TABLE__CONTROL_LOOP = eINSTANCE.getHCFTable_ControlLoop();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.CountermeasureTableImpl <em>Countermeasure Table</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.CountermeasureTableImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getCountermeasureTable()
         * @generated
         */
        EClass COUNTERMEASURE_TABLE = eINSTANCE.getCountermeasureTable();

        /**
         * The meta object literal for the '<em><b>Scope</b></em>' reference feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EReference COUNTERMEASURE_TABLE__SCOPE = eINSTANCE.getCountermeasureTable_Scope();

        /**
         * The meta object literal for the '{@link net.astah.stpa.stamp.notation.impl.STAMPComponentShapeImpl <em>STAMP Component Shape</em>}' class.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @see net.astah.stpa.stamp.notation.impl.STAMPComponentShapeImpl
         * @see net.astah.stpa.stamp.notation.impl.STAMPNotationPackageImpl#getSTAMPComponentShape()
         * @generated
         */
        EClass STAMP_COMPONENT_SHAPE = eINSTANCE.getSTAMPComponentShape();

        /**
         * The meta object literal for the '<em><b>Is Omitted</b></em>' attribute feature.
         * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
         * @generated
         */
        EAttribute STAMP_COMPONENT_SHAPE__IS_OMITTED = eINSTANCE.getSTAMPComponentShape_IsOmitted();

    }

} //STAMPNotationPackage
