/**
 */
package net.astah.stpa.stamp.notation.impl;

import net.astah.stpa.stamp.notation.*;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;

import net.astah.stpa.stamp.notation.AccidentHazardSafetyConstraintTable;
import net.astah.stpa.stamp.notation.CountermeasureTable;
import net.astah.stpa.stamp.notation.HCFSummeryTable;
import net.astah.stpa.stamp.notation.HCFTable;
import net.astah.stpa.stamp.notation.PreconditionTable;
import net.astah.stpa.stamp.notation.STAMPCompartment;
import net.astah.stpa.stamp.notation.STAMPCompartmentableShape;
import net.astah.stpa.stamp.notation.STAMPComponentShape;
import net.astah.stpa.stamp.notation.STAMPControlLoopDiagram;
import net.astah.stpa.stamp.notation.STAMPControlStructureDiagram;
import net.astah.stpa.stamp.notation.STAMPDiagram;
import net.astah.stpa.stamp.notation.STAMPEdge;
import net.astah.stpa.stamp.notation.STAMPGraphicalShape;
import net.astah.stpa.stamp.notation.STAMPLabel;
import net.astah.stpa.stamp.notation.STAMPNotationFactory;
import net.astah.stpa.stamp.notation.STAMPNotationPackage;
import net.astah.stpa.stamp.notation.STAMPShape;
import net.astah.stpa.stamp.notation.STAMPTable;
import net.astah.stpa.stamp.notation.UCATable;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class STAMPNotationFactoryImpl extends EFactoryImpl implements STAMPNotationFactory {
    /**
     * Creates the default factory implementation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public static STAMPNotationFactory init() {
        try {
            STAMPNotationFactory theSTAMPNotationFactory = (STAMPNotationFactory)EPackage.Registry.INSTANCE.getEFactory(STAMPNotationPackage.eNS_URI);
            if (theSTAMPNotationFactory != null) {
                return theSTAMPNotationFactory;
            }
        }
        catch (Exception exception) {
            EcorePlugin.INSTANCE.log(exception);
        }
        return new STAMPNotationFactoryImpl();
    }

    /**
     * Creates an instance of the factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPNotationFactoryImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
            case STAMPNotationPackage.STAMP_EDGE: return createSTAMPEdge();
            case STAMPNotationPackage.STAMP_DIAGRAM: return createSTAMPDiagram();
            case STAMPNotationPackage.STAMP_SHAPE: return createSTAMPShape();
            case STAMPNotationPackage.STAMP_LABEL: return createSTAMPLabel();
            case STAMPNotationPackage.STAMP_COMPARTMENT: return createSTAMPCompartment();
            case STAMPNotationPackage.STAMP_COMPARTMENTABLE_SHAPE: return createSTAMPCompartmentableShape();
            case STAMPNotationPackage.STAMP_COMPONENT_SHAPE: return createSTAMPComponentShape();
            case STAMPNotationPackage.STAMP_GRAPHICAL_SHAPE: return createSTAMPGraphicalShape();
            case STAMPNotationPackage.STAMP_CONTROL_STRUCTURE_DIAGRAM: return createSTAMPControlStructureDiagram();
            case STAMPNotationPackage.COMPONENT_EXTRACTING_TABLE: return createComponentExtractingTable();
            case STAMPNotationPackage.STAMP_TABLE: return createSTAMPTable();
            case STAMPNotationPackage.STAMP_CONTROL_LOOP_DIAGRAM: return createSTAMPControlLoopDiagram();
            case STAMPNotationPackage.PRECONDITION_TABLE: return createPreconditionTable();
            case STAMPNotationPackage.ACCIDENT_HAZARD_SAFETY_CONSTRAINT_TABLE: return createAccidentHazardSafetyConstraintTable();
            case STAMPNotationPackage.UCA_TABLE: return createUCATable();
            case STAMPNotationPackage.HCF_TABLE: return createHCFTable();
            case STAMPNotationPackage.HCF_SUMMERY_TABLE: return createHCFSummeryTable();
            case STAMPNotationPackage.COUNTERMEASURE_TABLE: return createCountermeasureTable();
            default:
                throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
        }
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPEdge createSTAMPEdge() {
        STAMPEdgeImpl stampEdge = new STAMPEdgeImpl();
        return stampEdge;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPDiagram createSTAMPDiagram() {
        STAMPDiagramImpl stampDiagram = new STAMPDiagramImpl();
        return stampDiagram;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPShape createSTAMPShape() {
        STAMPShapeImpl stampShape = new STAMPShapeImpl();
        return stampShape;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPLabel createSTAMPLabel() {
        STAMPLabelImpl stampLabel = new STAMPLabelImpl();
        return stampLabel;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPCompartment createSTAMPCompartment() {
        STAMPCompartmentImpl stampCompartment = new STAMPCompartmentImpl();
        return stampCompartment;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPCompartmentableShape createSTAMPCompartmentableShape() {
        STAMPCompartmentableShapeImpl stampCompartmentableShape = new STAMPCompartmentableShapeImpl();
        return stampCompartmentableShape;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPControlStructureDiagram createSTAMPControlStructureDiagram() {
        STAMPControlStructureDiagramImpl stampControlStructureDiagram = new STAMPControlStructureDiagramImpl();
        return stampControlStructureDiagram;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ComponentExtractingTable createComponentExtractingTable() {
        ComponentExtractingTableImpl componentExtractingTable = new ComponentExtractingTableImpl();
        return componentExtractingTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPGraphicalShape createSTAMPGraphicalShape() {
        STAMPGraphicalShapeImpl stampGraphicalShape = new STAMPGraphicalShapeImpl();
        return stampGraphicalShape;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public PreconditionTable createPreconditionTable() {
        PreconditionTableImpl preconditionTable = new PreconditionTableImpl();
        return preconditionTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPTable createSTAMPTable() {
        STAMPTableImpl stampTable = new STAMPTableImpl();
        return stampTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public AccidentHazardSafetyConstraintTable createAccidentHazardSafetyConstraintTable() {
        AccidentHazardSafetyConstraintTableImpl accidentHazardSafetyConstraintTable = new AccidentHazardSafetyConstraintTableImpl();
        return accidentHazardSafetyConstraintTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCATable createUCATable() {
        UCATableImpl ucaTable = new UCATableImpl();
        return ucaTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPControlLoopDiagram createSTAMPControlLoopDiagram() {
        STAMPControlLoopDiagramImpl stampControlLoopDiagram = new STAMPControlLoopDiagramImpl();
        return stampControlLoopDiagram;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFSummeryTable createHCFSummeryTable() {
        HCFSummeryTableImpl hcfSummeryTable = new HCFSummeryTableImpl();
        return hcfSummeryTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFTable createHCFTable() {
        HCFTableImpl hcfTable = new HCFTableImpl();
        return hcfTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public CountermeasureTable createCountermeasureTable() {
        CountermeasureTableImpl countermeasureTable = new CountermeasureTableImpl();
        return countermeasureTable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPComponentShape createSTAMPComponentShape() {
        STAMPComponentShapeImpl stampComponentShape = new STAMPComponentShapeImpl();
        return stampComponentShape;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPNotationPackage getSTAMPNotationPackage() {
        return (STAMPNotationPackage)getEPackage();
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @deprecated
     * @generated
     */
    @Deprecated
    public static STAMPNotationPackage getPackage() {
        return STAMPNotationPackage.eINSTANCE;
    }

} //STAMPNotationFactoryImpl
