package net.astah.stpa.stamp.ui.control;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EReference;

import net.astah.dd.di.DiagramElement;
import net.astah.dd.di.util.DiagramElements;
import net.astah.stpa.stamp.ProcessVariable;
import net.astah.stpa.stamp.STAMPFactory;
import net.astah.stpa.stamp.STAMPPackage;

/**
 * プロセスモデル変数値を作成するコマンドです。
 */
public class AddProcessValueCommand extends AddProcessModelElementCommand {
    @Override
    DiagramElement getOwnerDiagramElement(final DiagramElement selectedDiagramElement) {
        final DiagramElement compartment = selectedDiagramElement.getOwningElement();
        final EObject processValue = DiagramElements.getModelElement(selectedDiagramElement);
        return compartment.getOwnedElements().stream()
                .filter(d -> DiagramElements.getModelElement(d, ProcessVariable.class) != null
                        && DiagramElements.getModelElement(d, ProcessVariable.class).getValues()
                                .contains(processValue))
                .findFirst().orElse(null);
    }

    @Override
    EObject createProcessModelElement() {
        return STAMPFactory.eINSTANCE.createProcessValue();
    }

    @Override
    EReference getFeature() {
        return STAMPPackage.Literals.PROCESS_VARIABLE__VALUE;
    }

    @Override
    DiagramElement getCompartment(final DiagramElement ownerDiagramElement) {
        return ownerDiagramElement.getOwningElement();
    }
}
