package net.astah.stpa.stamp.ui.control;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EReference;

import net.astah.dd.di.DiagramElement;
import net.astah.stpa.stamp.STAMPFactory;
import net.astah.stpa.stamp.STAMPPackage;
import net.astah.stpa.stamp.notation.STAMPLabel;

/**
 * プロセスモデル変数を作成するコマンドです。
 */
public class AddProcessVariableCommand extends AddProcessModelElementCommand {
    @Override
    DiagramElement getOwnerDiagramElement(final DiagramElement selectedDiagramElement) {
        return selectedDiagramElement instanceof STAMPLabel
                ? selectedDiagramElement.getOwningElement()
                : null;
    }

    @Override
    EObject createProcessModelElement() {
        return STAMPFactory.eINSTANCE.createProcessVariable();
    }

    @Override
    EReference getFeature() {
        return STAMPPackage.Literals.PROCESS_MODEL__VARIABLE;
    }

    @Override
    DiagramElement getCompartment(final DiagramElement ownerDiagramElement) {
        return ownerDiagramElement;
    }
}
