package net.astah.stpa.stamp.ui.view;

import org.eclipse.emf.ecore.EObject;

import net.astah.jomt.jview.proptab.ModelTabGroup;
import net.astah.jomt.jview.proptab.ProjectModelTabPane;
import net.astah.project.Project;
import net.astah.stpa.stamp.Component;
import net.astah.stpa.stamp.ControlAction;
import net.astah.stpa.stamp.ControlLink;
import net.astah.stpa.stamp.Feedback;
import net.astah.stpa.stamp.FeedbackLink;
import net.astah.stpa.stamp.IdentifiedElement;
import net.astah.stpa.stamp.Link;
import net.astah.stpa.stamp.Note;
import net.astah.stpa.stamp.STAMPPackage;
import net.astah.stpa.stamp.ui.view.proptab.STAMPComponentPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPControlActionPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPControlLinkPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPFeedbackLinkPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPFeedbackPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPIdentifiedElementPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPLinkPane;
import net.astah.stpa.stamp.ui.view.proptab.STAMPNotePane;
import net.astah.stpa.stamp.util.STAMPSwitch;

/**
 * {@link STAMPPackage} のモデルに対応するプロパティペインを返します。
 */
public class STAMPModelTabGroupSwitch extends STAMPSwitch<Class<? extends ModelTabGroup>> {
    @Override
    public Class<? extends ModelTabGroup> defaultCase(EObject object) {
        if (object instanceof Project) {
            return ProjectModelTabPane.class;
        }
        return super.defaultCase(object);
    }

    @Override
    public Class<? extends ModelTabGroup> caseIdentifiedElement(IdentifiedElement object) {
        return STAMPIdentifiedElementPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseComponent(Component object) {
        return STAMPComponentPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseLink(Link object) {
        return STAMPLinkPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseNote(Note object) {
        return STAMPNotePane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseControlAction(ControlAction object) {
        return STAMPControlActionPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseFeedback(Feedback object) {
        return STAMPFeedbackPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseControlLink(ControlLink object) {
        return STAMPControlLinkPane.class;
    }

    @Override
    public Class<? extends ModelTabGroup> caseFeedbackLink(FeedbackLink object) {
        return STAMPFeedbackLinkPane.class;
    }
}
