package net.astah.stpa.stamp.ui.view.proptab;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.edit.domain.EditingDomain;
import org.eclipse.emf.transaction.TransactionalEditingDomain;

import net.astah.emf.common.notify.EFeaturePath;
import net.astah.emf.edit.provider.swing.AdapterFactoryContentProvider;
import net.astah.emf.edit.provider.swing.FeaturePathContentProvider;
import net.astah.emf.edit.provider.swing.TransactionalFeaturePathContentProvider;
import net.astah.stpa.stamp.STAMPPackage;
import net.astah.stpa.stamp.ui.Messages;

/**
 * コンポーネント に関係するコントロールアクションを表示するプロパティタブの実装です。
 */
public class STAMPComponentControlActionTab extends STAMPComponentSignalTab {

    private static final long serialVersionUID = -9079634972100256830L;

    @Override
    protected AdapterFactoryContentProvider createContentProvider(
            final EditingDomain domain,
            final AdapterFactory adapterFactory) {
        final FeaturePathContentProvider contentProvider = (domain instanceof TransactionalEditingDomain)
                ? new TransactionalFeaturePathContentProvider(
                        (TransactionalEditingDomain) domain, adapterFactory)
                : new FeaturePathContentProvider(adapterFactory);
        contentProvider.addPath(EFeaturePath.builder()
                .addInverse(STAMPPackage.Literals.LINK__SOURCE)
                .add(STAMPPackage.Literals.CONTROL_LINK__ACTION).create());
        contentProvider.addPath(EFeaturePath.builder()
                .addInverse(STAMPPackage.Literals.LINK__TARGET)
                .add(STAMPPackage.Literals.CONTROL_LINK__ACTION).create());
        return contentProvider;
    }

    @Override
    public String getTabName() {
        return Messages.projectview_control_action_tab_title;
    }
}
