package net.astah.stpa.stamp.ui.view.proptab;

import java.awt.Component;

import net.astah.golf.view.swing.IPropertyDescriptor;
import net.astah.golf.widget.swing.IStructuredViewerAdapter;
import net.astah.jomt.jview.proptab.PropertySourceTab;

/**
 * コンポーネントなど、モデルのベースタブ汎用実装です。
 */
public abstract class STAMPModelTab extends PropertySourceTab implements IStructuredViewerAdapter {

    private static final long serialVersionUID = -6694215283877624316L;

    @Override
    protected void initPanel() {
        super.initPanel();
        if (baseItemsPanel == null) {
            return;
        }
        initPanelRows();
        initDefinitionArea(this);
    }

    @Override
    public void init(boolean isSelected) {
        if (!isSelected) {
            super.init();
        }
    }

    /**
     * タブ内の行単位での項目追加に関する抽象メソッドです。
     */
    abstract void initPanelRows();

    /**
     * 項目タイトルとテキストエリアを縦に並べて表示する.
     * 
     * @param key
     *            項目タイトルを取得するためのKey
     * @param feature
     *            テキストエリアのfeature
     * @param textAreaRows
     *            テキストエリアの表示行数
     */
    protected void initMultiLineTextArea(final String key, final Object feature,
            final int textAreaRows) {
        final IPropertyDescriptor descriptor = getPropertyDescriptor(feature);
        final Component component = createPropertyCellEditorComponent(descriptor);
        getPropertyEditor(descriptor).setRows(textAreaRows);

        addLabelRowAndComponentRow(baseItemsPanel, layout, key, component);
    }
}
