/**
 */
package net.astah.stpa.stamp.impl;

import net.astah.stpa.stamp.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class STAMPFactoryImpl extends EFactoryImpl implements STAMPFactory {
    /**
     * Creates the default factory implementation.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public static STAMPFactory init() {
        try {
            STAMPFactory theSTAMPFactory = (STAMPFactory)EPackage.Registry.INSTANCE.getEFactory(STAMPPackage.eNS_URI);
            if (theSTAMPFactory != null) {
                return theSTAMPFactory;
            }
        }
        catch (Exception exception) {
            EcorePlugin.INSTANCE.log(exception);
        }
        return new STAMPFactoryImpl();
    }

    /**
     * Creates an instance of the factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPFactoryImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    @Override
    public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
            case STAMPPackage.STPA_ANALYSIS: return createSTPAAnalysis();
            case STAMPPackage.NOTE: return createNote();
            case STAMPPackage.NOTE_ANCHOR: return createNoteAnchor();
            case STAMPPackage.ACCIDENT: return createAccident();
            case STAMPPackage.HAZARD: return createHazard();
            case STAMPPackage.SAFETY_CONSTRAINT: return createSafetyConstraint();
            case STAMPPackage.PRECONDITION: return createPrecondition();
            case STAMPPackage.CONTROL_STRUCTURE: return createControlStructure();
            case STAMPPackage.COMPONENT: return createComponent();
            case STAMPPackage.PROCESS_MODEL: return createProcessModel();
            case STAMPPackage.PROCESS_VARIABLE: return createProcessVariable();
            case STAMPPackage.PROCESS_VALUE: return createProcessValue();
            case STAMPPackage.LINK_END: return createLinkEnd();
            case STAMPPackage.COUNTERMEASURE: return createCountermeasure();
            case STAMPPackage.HAZARD_CAUSAL_FACTOR: return createHazardCausalFactor();
            case STAMPPackage.HAZARD_SCENARIO: return createHazardScenario();
            case STAMPPackage.UNSAFE_CONTROL_ACTION: return createUnsafeControlAction();
            case STAMPPackage.CONTROL_ACTION: return createControlAction();
            case STAMPPackage.CONTROL_LINK: return createControlLink();
            case STAMPPackage.UCA_GUIDE_WORD_SET: return createUCAGuideWordSet();
            case STAMPPackage.UCA_GUIDE_WORD: return createUCAGuideWord();
            case STAMPPackage.HCF_HINT_WORD_SET: return createHCFHintWordSet();
            case STAMPPackage.HCF_HINT_WORD: return createHCFHintWord();
            case STAMPPackage.UCA_ANALYSIS: return createUCAAnalysis();
            case STAMPPackage.UCA_ANALYSIS_RESULT: return createUCAAnalysisResult();
            case STAMPPackage.HCF_ANALYSIS: return createHCFAnalysis();
            case STAMPPackage.HCF_ANALYSIS_RESULT: return createHCFAnalysisResult();
            case STAMPPackage.CONTROL_LOOP: return createControlLoop();
            case STAMPPackage.FEEDBACK_LINK: return createFeedbackLink();
            case STAMPPackage.FEEDBACK: return createFeedback();
            default:
                throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
        }
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Component createComponent() {
        ComponentImpl component = new ComponentImpl();
        return component;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Note createNote() {
        NoteImpl note = new NoteImpl();
        return note;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ControlStructure createControlStructure() {
        ControlStructureImpl controlStructure = new ControlStructureImpl();
        return controlStructure;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ControlAction createControlAction() {
        ControlActionImpl controlAction = new ControlActionImpl();
        return controlAction;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCAAnalysisResult createUCAAnalysisResult() {
        UCAAnalysisResultImpl ucaAnalysisResult = new UCAAnalysisResultImpl();
        return ucaAnalysisResult;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UnsafeControlAction createUnsafeControlAction() {
        UnsafeControlActionImpl unsafeControlAction = new UnsafeControlActionImpl();
        return unsafeControlAction;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STPAAnalysis createSTPAAnalysis() {
        STPAAnalysisImpl stpaAnalysis = new STPAAnalysisImpl();
        return stpaAnalysis;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ProcessModel createProcessModel() {
        ProcessModelImpl processModel = new ProcessModelImpl();
        return processModel;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ProcessVariable createProcessVariable() {
        ProcessVariableImpl processVariable = new ProcessVariableImpl();
        return processVariable;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ProcessValue createProcessValue() {
        ProcessValueImpl processValue = new ProcessValueImpl();
        return processValue;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ControlLink createControlLink() {
        ControlLinkImpl controlLink = new ControlLinkImpl();
        return controlLink;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Accident createAccident() {
        AccidentImpl accident = new AccidentImpl();
        return accident;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Hazard createHazard() {
        HazardImpl hazard = new HazardImpl();
        return hazard;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public SafetyConstraint createSafetyConstraint() {
        SafetyConstraintImpl safetyConstraint = new SafetyConstraintImpl();
        return safetyConstraint;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Precondition createPrecondition() {
        PreconditionImpl precondition = new PreconditionImpl();
        return precondition;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Countermeasure createCountermeasure() {
        CountermeasureImpl countermeasure = new CountermeasureImpl();
        return countermeasure;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCAGuideWordSet createUCAGuideWordSet() {
        UCAGuideWordSetImpl ucaGuideWordSet = new UCAGuideWordSetImpl();
        return ucaGuideWordSet;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFHintWordSet createHCFHintWordSet() {
        HCFHintWordSetImpl hcfHintWordSet = new HCFHintWordSetImpl();
        return hcfHintWordSet;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCAAnalysis createUCAAnalysis() {
        UCAAnalysisImpl ucaAnalysis = new UCAAnalysisImpl();
        return ucaAnalysis;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public LinkEnd createLinkEnd() {
        LinkEndImpl linkEnd = new LinkEndImpl();
        return linkEnd;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public UCAGuideWord createUCAGuideWord() {
        UCAGuideWordImpl ucaGuideWord = new UCAGuideWordImpl();
        return ucaGuideWord;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFAnalysis createHCFAnalysis() {
        HCFAnalysisImpl hcfAnalysis = new HCFAnalysisImpl();
        return hcfAnalysis;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFAnalysisResult createHCFAnalysisResult() {
        HCFAnalysisResultImpl hcfAnalysisResult = new HCFAnalysisResultImpl();
        return hcfAnalysisResult;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HazardCausalFactor createHazardCausalFactor() {
        HazardCausalFactorImpl hazardCausalFactor = new HazardCausalFactorImpl();
        return hazardCausalFactor;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HazardScenario createHazardScenario() {
        HazardScenarioImpl hazardScenario = new HazardScenarioImpl();
        return hazardScenario;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public HCFHintWord createHCFHintWord() {
        HCFHintWordImpl hcfHintWord = new HCFHintWordImpl();
        return hcfHintWord;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public ControlLoop createControlLoop() {
        ControlLoopImpl controlLoop = new ControlLoopImpl();
        return controlLoop;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public Feedback createFeedback() {
        FeedbackImpl feedback = new FeedbackImpl();
        return feedback;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public FeedbackLink createFeedbackLink() {
        FeedbackLinkImpl feedbackLink = new FeedbackLinkImpl();
        return feedbackLink;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public NoteAnchor createNoteAnchor() {
        NoteAnchorImpl noteAnchor = new NoteAnchorImpl();
        return noteAnchor;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public STAMPPackage getSTAMPPackage() {
        return (STAMPPackage)getEPackage();
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @deprecated
     * @generated
     */
    @Deprecated
    public static STAMPPackage getPackage() {
        return STAMPPackage.eINSTANCE;
    }

} //STAMPFactoryImpl
